View Issue Details

IDCategoryLast Update
0007980bugs2020-04-27 20:04
Reporterjohmue-eoAssigned Tox42 
Reproducibilityrandom 
Status closedResolutionfixed 
PlatformSome Other LinuxOSSome Other LinuxOS Versionunknown
Product Version6.0-pre1 
Fixed in Version 
Summary0007980: Occasional random crashes probably when setting up connections
DescriptionMutex assertion fails in libs/ardour/delayline.cc:292. This happened to me maybe 15 times this week. One time I happened to capture a backtrace:

ardour-6.0.pre1.15: ../libs/ardour/delayline.cc:292: bool ARDOUR::DelayLine::set_delay(ARDOUR::samplecnt_t): Zusicherung »lm.locked ()« nicht erfüllt.

Thread 15 "audioengine" received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffd87c4700 (LWP 85807)]
0x00007ffff368fce5 in raise () from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007ffff368fce5 in raise () at /usr/lib/libc.so.6
0000001 0x00007ffff3679857 in abort () at /usr/lib/libc.so.6
#2 0x00007ffff3679727 in _nl_load_domain.cold () at /usr/lib/libc.so.6
#3 0x00007ffff3688426 in () at /usr/lib/libc.so.6
0000004 0x00007ffff718a906 in ARDOUR::DelayLine::set_delay(long) (this=0x555565990cb0, signal_delay=0) at ../libs/ardour/delayline.cc:292
0000005 0x00007ffff770000d in ARDOUR::Route::apply_latency_compensation() (this=0x555565989110) at ../libs/ardour/route.cc:4271
#6 0x00007ffff76ffdcc in ARDOUR::Route::update_signal_latency(bool) (this=0x555565989110, apply_to_delayline=true) at ../libs/ardour/route.cc:4247
#7 0x00007ffff776f600 in ARDOUR::Session::update_route_latency(bool, bool) (this=0x5555587fb6e0, playback=true, apply_to_delayline=true)
    at ../libs/ardour/session.cc:6501
0000008 0x00007ffff776fbe7 in ARDOUR::Session::update_latency(bool) (this=0x5555587fb6e0, playback=true) at ../libs/ardour/session.cc:6555
0000009 0x00007ffff70f2fe1 in ARDOUR::AudioEngine::latency_callback(bool) (this=0x5555574f3500, for_playback=true) at ../libs/ardour/audioengine.cc:1395
0000010 0x00007fffd9badb27 in ARDOUR::JACKAudioBackend::jack_latency_callback(JackLatencyCallbackMode) (this=0x555557023af0, mode=JackPlaybackLatency)
    at ../libs/backends/jack/jack_audiobackend.cc:1002
0000011 0x00007fffd9bad572 in ARDOUR::JACKAudioBackend::_latency_callback(JackLatencyCallbackMode, void*) (mode=JackPlaybackLatency, arg=0x555557023af0)
    at ../libs/backends/jack/jack_audiobackend.cc:848
0000012 0x00007fffd9aab03d in () at /usr/lib/libjack.so.0
0000013 0x00007fffd9aab8bc in () at /usr/lib/libjack.so.0
0000014 0x00007fffd9acad60 in () at /usr/lib/libjack.so.0
#15 0x00007fffd9ac4b1d in () at /usr/lib/libjack.so.0
0000016 0x00007ffff410a46f in start_thread () at /usr/lib/libpthread.so.0
#17 0x00007ffff37533d3 in clone () at /usr/lib/libc.so.6
(gdb)
Steps To Reproduce1. Get some (short) audio file (jingle or a drum sample).

2. Create 500 symlinks to that file (for i in `seq -w 1 500` ; do ln -s filename.wav filename-$i.wav ; done)

3. Create an Ardour6 session using a dummy interface (not jack, because then 0007975 jumps in) with the same sample rate like the sample file.

4. Open the import dialog and select these 500 symlinks and click "Import"

Ardour then imports 500 times the sample. Chances are high that the issue triggers on of the 500 times.

TagsNo tags attached.

Relationships

has duplicate 0008055 closedx42 Ardour 6.0.rc1.82 - Session Crash 
related to 0008058 closedx42 Gui freezes every time I try to add a track / import a recording 

Activities

x42

2020-04-06 04:31

administrator   ~0021201

This is caused by jack2 updating port latencies while processing, and likely has to be fixed there.

The assert() will only trigger in debug builds, optimized builds will worst case experience an audible glitch.

x42

2020-04-06 04:33

administrator   ~0021202

PS. This is not a bug per se, I've explicitly added that assert() to track this down. It also happens occasionally when loading a session.

johmue-eo

2020-04-06 17:09

developer   ~0021210

It does however also occur with Ardour's dummy backend.

Backtrace:

ardour-6.0.pre1.118: ../libs/ardour/delayline.cc:292: bool ARDOUR::DelayLine::set_delay(ARDOUR::samplecnt_t): Zusicherung »lm.locked ()« nicht erfüllt.
--Type <RET> for more, q to quit, c to continue without paging--

Thread 1 "gui" received signal SIGABRT, Aborted.
0x00007ffff3663ce5 in raise () from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007ffff3663ce5 in raise () at /usr/lib/libc.so.6
0000001 0x00007ffff364d857 in abort () at /usr/lib/libc.so.6
#2 0x00007ffff364d727 in _nl_load_domain.cold () at /usr/lib/libc.so.6
#3 0x00007ffff365c426 in () at /usr/lib/libc.so.6
0000004 0x00007ffff717a116 in ARDOUR::DelayLine::set_delay(long) (this=0x55555e32f8b0, signal_delay=22)
    at ../libs/ardour/delayline.cc:292
0000005 0x00007ffff76f7947 in ARDOUR::Route::apply_latency_compensation() (this=0x555558749f70) at ../libs/ardour/route.cc:4273
#6 0x00007ffff776a441 in ARDOUR::Session::update_latency_compensation(bool, bool) (this=
    0x5555580b8000, force_whole_graph=false, called_from_backend=false) at ../libs/ardour/session.cc:6700
#7 0x00007ffff78564f4 in ARDOUR::Session::route_processors_changed(ARDOUR::RouteProcessorChange) (this=0x5555580b8000, c=...)
    at ../libs/ardour/session_transport.cc:1868
0000008 0x00007ffff77970db in boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>::operator()(ARDOUR::Session*, ARDOUR::RouteProcessorChange) const (this=0x55558e4d6308, p=0x5555580b8000, a1=...)
    at /usr/include/boost/bind/mem_fn_template.hpp:165
0000009 0x00007ffff7793be1 in boost::_bi::list2<boost::_bi::value<ARDOUR::Session*>, boost::arg<1> >::operator()<boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>, boost::_bi::rrlist1<ARDOUR::RouteProcessorChange> >(boost::_bi::type<void>, boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>&, boost::_bi::rrlist1<ARDOUR::RouteProcessorChange>&, int)
    (this=0x55558e4d6318, f=..., a=...) at /usr/include/boost/bind/bind.hpp:319
0000010 0x00007ffff778f06d in boost::_bi::bind_t<void, boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>, boost::_bi::list2<boost::_bi::value<ARDOUR::Session*>, boost::arg<1> > >::operator()<ARDOUR::RouteProcessorChange>(ARDOUR::RouteProcessorChange&&) (this=0x55558e4d6308, a1=...) at /usr/include/boost/bind/bind.hpp:1306
0000011 0x00007ffff778935f in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>, boost::_bi::list2<boost::_bi::value<ARDOUR::Session*>, boost::arg<1> > >, void, ARDOUR::RouteProcessorChange>::invoke(boost::detail::function::function_buffer&, ARDOUR::RouteProcessorChange)
    (function_obj_ptr=..., a0=...) at /usr/include/boost/function/function_template.hpp:158
0000012 0x00005555560249fa in boost::function1<void, ARDOUR::RouteProcessorChange>::operator()(ARDOUR::RouteProcessorChange) const
    (this=0x55558e4d6300, a0=...) at /usr/include/boost/function/function_template.hpp:763
0000013 0x00007ffff729a3ef in PBD::Signal1<void, ARDOUR::RouteProcessorChange, PBD::OptionalLastValue<void> >::operator()(ARDOUR::RouteProcessorChange) (this=0x5555911641d8, a1=...) at libs/pbd/pbd/signals_generated.h:704
0000014 0x00007ffff76ebcac in ARDOUR::Route::set_strict_io(bool) (this=0x555591163a90, enable=true) at ../libs/ardour/route.cc:2452
#15 0x0000555555dc4fbd in Editor::finish_bringing_in_material(boost::shared_ptr<ARDOUR::Region>, unsigned int, unsigned int, long&, Editing::ImportMode, boost::shared_ptr<ARDOUR::Track>&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=
    0x555558dacf10, region=..., in_chans=2, out_chans=2, pos=@0x555558dae638: 0, mode=Editing::ImportAsTrack, existing_track=..., new_track_name="sample-094", instrument=...) at ../gtk2_ardour/editor_audio_import.cc:1026
0000016 0x0000555555dc465d in Editor::add_sources(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, std::vector<boost::shared_ptr<ARDOUR::Source>, std::allocator<boost::shared_ptr<ARDOUR::Source> > >&, long&, Editing::ImportDisposition, Editing::ImportMode, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>)
    (this=0x555558dacf10, paths=std::vector of length 1, capacity 1 = {...}, sources=std::vector of length 2, capacity 2 = {...}, pos=@0x555558dae638: 0, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, target_regions=1, target_tracks=-1, track=..., instrument=...) at ../gtk2_ardour/editor_audio_import.cc:946
#17 0x0000555555dc2152 in Editor::import_sndfiles(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, long&, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>)
    (this=0x555558dacf10, paths=std::vector of length 1, capacity 1 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, pos=@0x7fffffffb6f8: 0, target_regions=1, target_tracks=-1, track=..., replace=false, instrument=...) at ../gtk2_ardour/editor_audio_import.cc:593
0000018 0x0000555555dc1148 in Editor::do_import(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, ARDOUR::MidiTrackNameSource, ARDOUR::MidiTempoMapDisposition, long&, boost::shared_ptr<ARDOUR::PluginInfo>)
    (this=0x555558dacf10, paths=std::vector of length 500, capacity 500 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, midi_track_name_source=ARDOUR::SMFTrackNumber, smf_tempo_disposition=ARDOUR::SMFTempoIgnore, pos=@0x7fffffffb6f8: 0, instrument=...) at ../gtk2_ardour/editor_audio_import.cc:425
0000019 0x0000555556659726 in SoundFileOmega::do_something(int) (this=0x55555b845cd0, action=-5) at ../gtk2_ardour/sfdb_ui.cc:2104
0000020 0x0000555556662274 in sigc::bound_mem_functor1<void, SoundFileBrowser, int>::operator()(int const&) const
    (this=0x55555aef03c0, _A_a1=@0x7fffffffb7b4: -5) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2066
0000021 0x0000555556661629 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, SoundFileBrowser, int> >::operator()<Gtk::ResponseType&>(Gtk::ResponseType&) const (this=0x55555aef03b8, _A_arg1=@0x55555aef03e0: Gtk::RESPONSE_OK)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
0000022 0x0000555556660798 in sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()() (this=0x55555aef03b0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/bind.h:1124
0000023 0x000055555665f012 in sigc::internal::slot_call0<sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>---Type <RET> for more, q to quit, c to cont--Type <RET> for more, q to quit, c to continue without paging--c
, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555aef0380) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#24 0x00007ffff56732b9 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () at /usr/lib/libglibmm-2.4.so.1
0000025 0x00007ffff560961a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
0000026 0x00007ffff55ea3a5 in () at /usr/lib/libgobject-2.0.so.0
0000027 0x00007ffff55edab9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
0000028 0x00007ffff55ef6b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
0000029 0x00007ffff50d37fe in () at /usr/lib/libgtk-x11-2.0.so.0
0000030 0x00007ffff560961a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
0000031 0x00007ffff55eaad4 in () at /usr/lib/libgobject-2.0.so.0
0000032 0x00007ffff55edab9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
0000033 0x00007ffff55ef6b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
0000034 0x00007ffff50d26ba in () at /usr/lib/libgtk-x11-2.0.so.0
0000035 0x00007ffff517d03c in () at /usr/lib/libgtk-x11-2.0.so.0
0000036 0x00007ffff560961a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
0000037 0x00007ffff55ea0e8 in () at /usr/lib/libgobject-2.0.so.0
0000038 0x00007ffff55ed5cc in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
0000039 0x00007ffff55ef6b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
0000040 0x00007ffff52996f8 in () at /usr/lib/libgtk-x11-2.0.so.0
0000041 0x00007ffff517b73e in gtk_propagate_event () at /usr/lib/libgtk-x11-2.0.so.0
0000042 0x00007ffff517bb3b in gtk_main_do_event () at /usr/lib/libgtk-x11-2.0.so.0
0000043 0x00007ffff4ff05be in () at /usr/lib/libgdk-x11-2.0.so.0
0000044 0x00007ffff550e9be in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
0000045 0x00007ffff5510831 in () at /usr/lib/libglib-2.0.so.0
0000046 0x00007ffff5511843 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
0000047 0x00007ffff517ab7e in gtk_main () at /usr/lib/libgtk-x11-2.0.so.0
0000048 0x00007ffff5b43b53 in Gtkmm2ext::UI::run(Receiver&) (this=0x555557569810, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:290
0000049 0x000055555617a4f9 in main(int, char**) (argc=1, argv=0x7fffffffcad8) at ../gtk2_ardour/main.cc:435

paul

2020-04-12 21:03

administrator   ~0021319

I think that a "thread apply all bt" would be useful here to get some idea on which other thread has taken the lock.

x42

2020-04-12 21:11

administrator   ~0021320

This happens when the process-callback runs the delayline, while another thread changes the delay.

The delay-time can only change the processors are being configured, or the route I/O latency changes. Yet both of these operations are supposed to be exclusive with processing.
Which is why the assert() was added.

johmue-eo

2020-04-12 21:29

developer   ~0021321

I attach a backtrace for all threads.

This was with the dummy backend btw.

gdb.txt (82,752 bytes)
Thread 118 (Thread 0x7fff93ff7700 (LWP 35005)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d216d0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d21748) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d21740) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d21710) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 117 (Thread 0x7fff947f8700 (LWP 35004)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d21420) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d21498) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d21490) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d21460) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 116 (Thread 0x7fff96ffd700 (LWP 35003)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d21170) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d211e8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d211e0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d211b0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 115 (Thread 0x7fff97fff700 (LWP 35002)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d20ec0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d20f38) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d20f30) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d20f00) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 114 (Thread 0x7fff977fe700 (LWP 35001)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d20e00) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d20e78) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d20e70) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d20e40) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 113 (Thread 0x7fff967fc700 (LWP 35000)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d2f3f0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d2ea68) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d2ea60) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d2ea30) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 112 (Thread 0x7fff957fa700 (LWP 34999)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d2f410) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d692f8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d692f0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d692c0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 111 (Thread 0x7fff95ffb700 (LWP 34998)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x555562d09638, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555562d2f390) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555562d69358) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555562d69350) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555562d69320) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 87 (Thread 0x7fffd80bbd80 (LWP 34966)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd80bb0b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd80bb0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd80bb0b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd80bb0b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555558c70c30) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 86 (Thread 0x7fffd81e2d80 (LWP 34965)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd81e20b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd81e20c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd81e20b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd81e20b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555558c70a00) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 85 (Thread 0x7fffd81fcd80 (LWP 34964)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd81fc0b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd81fc0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd81fc0b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd81fc0b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555558c707d0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 84 (Thread 0x7fffd8216d80 (LWP 34963)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf328) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726fd5a in ARDOUR::Graph::reached_terminal_node() (this=0x555558edf250) at ../libs/ardour/graph.cc:301
#4  0x00007ffff72780ae in ARDOUR::GraphNode::finish(int) (this=0x55555a06ec38, chain=0) at ../libs/ardour/graphnode.cc:73
#5  0x00007ffff72732a0 in ARDOUR::GraphNode::run(int) (this=0x55555a06ec38, chain=0) at ../libs/ardour/ardour/graphnode.h:63
#6  0x00007ffff7270af8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:442
#7  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#8  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82160b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#9  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82160c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#10 0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82160b8) at /usr/include/boost/bind/bind.hpp:1294
#11 0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#12 0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82160b0) at /usr/include/boost/function/function_template.hpp:763
#13 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555558c705a0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#14 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#15 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 83 (Thread 0x7fffd8230d80 (LWP 34962)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82300b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82300c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82300b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82300b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555558c70370) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 82 (Thread 0x7fffd824ad80 (LWP 34961)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd824a0b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd824a0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd824a0b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd824a0b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x5555594f4990) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 81 (Thread 0x7fffd8264d80 (LWP 34960)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82640b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82640c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82640b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82640b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x5555594f4ba0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 80 (Thread 0x7fffd827ed80 (LWP 34959)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd827e0b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd827e0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd827e0b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd827e0b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x5555578a9650) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 79 (Thread 0x7fffd8298d80 (LWP 34958)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82980b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82980c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82980b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82980b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555562781d70) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 78 (Thread 0x7fffd82b2d80 (LWP 34957)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82b20b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82b20c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82b20b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82b20b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x55555bdfd5b0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 77 (Thread 0x7fffd82ccd80 (LWP 34956)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82cc0b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82cc0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82cc0b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82cc0b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x5555594f43f0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 76 (Thread 0x7fffd82e6d80 (LWP 34955)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd82e60b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd82e60c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd82e60b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd82e60b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x5555594f3de0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 75 (Thread 0x7fffd8300d80 (LWP 34954)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd83000b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd83000c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd83000b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd83000b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x555557363ee0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 74 (Thread 0x7fffd8621d80 (LWP 34953)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7270e77 in ARDOUR::Graph::helper_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:470
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd86210b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd86210c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd86210b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd86210b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x5555594f4b60) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 73 (Thread 0x7fffd863bd80 (LWP 34952)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558edf300) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72709b8 in ARDOUR::Graph::run_one() (this=0x555558edf250) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72712b7 in ARDOUR::Graph::main_thread() (this=0x555558edf250) at ../libs/ardour/graph.cc:523
#5  0x00007ffff7277909 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffd863b0b8, p=0x555558edf250) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff7277109 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffd863b0c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff7276592 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffd863b0b8) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff7275cbd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b8507d in boost::function0<void>::operator()() const (this=0x7fffd863b0b0) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd94a689f in ARDOUR::DummyAudioBackend::dummy_process_thread(void*) (arg=0x55555bff86d0) at ../libs/backends/dummy/dummy_audiobackend.cc:549
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 72 (Thread 0x7fffc77fe700 (LWP 34951)):
#0  0x00007ffff36e02d1 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff36e5bf7 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff54cb691 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffd94a92f2 in ARDOUR::DummyAudioBackend::main_process_thread() (this=0x5555573044e0) at ../libs/backends/dummy/dummy_audiobackend.cc:1000
#4  0x00007fffd94a63e6 in pthread_process(void*) (arg=0x5555573044e0) at ../libs/backends/dummy/dummy_audiobackend.cc:434
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 71 (Thread 0x7fff027fc700 (LWP 34947)):
#0  0x00007ffff36e02d1 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff36e5bf7 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff54cb691 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff7135641 in ARDOUR::AutomationWatch::thread() (this=0x55555986c470) at ../libs/ardour/automation_watch.cc:195
#4  0x00007ffff713b213 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const (this=0x55555986f6c0, p=0x55555986c470) at /usr/include/boost/bind/mem_fn_template.hpp:49
#5  0x00007ffff713adbb in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) (this=0x55555986f6d0, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#6  0x00007ffff713a5c2 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() (this=0x55555986f6c0) at /usr/include/boost/bind/bind.hpp:1294
#7  0x00007ffff713a522 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const (this=0x55555986f6c0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#8  0x00007ffff7139e81 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555986f690) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#9  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#10 0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#11 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 70 (Thread 0x7fff02ffd700 (LWP 34946)):
#0  0x00007ffff40d5cf5 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff7766f42 in ARDOUR::Session::auto_connect_thread_run() (this=0x555558921860) at ../libs/ardour/session.cc:6999
#2  0x00007ffff7766c86 in ARDOUR::Session::auto_connect_thread(void*) (arg=0x555558921860) at ../libs/ardour/session.cc:6947
#3  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 69 (Thread 0x7fff037fe700 (LWP 34945)):
#0  0x00007ffff40d5cf5 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff77e5e2f in ARDOUR::Session::emit_thread_run() (this=0x555558921860) at ../libs/ardour/session_process.cc:1107
#2  0x00007ffff77e5dcc in ARDOUR::Session::emit_thread(void*) (arg=0x555558921860) at ../libs/ardour/session_process.cc:1096
#3  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 68 (Thread 0x7fffc67fc700 (LWP 34944)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007fffe807a986 in  () at /usr/lib/libusb-1.0.so.0
#2  0x00007fffe807bc0d in libusb_handle_events_timeout_completed () at /usr/lib/libusb-1.0.so.0
#3  0x00007fffe807bc60 in libusb_handle_events () at /usr/lib/libusb-1.0.so.0
#4  0x00007fffdaede02f in ArdourSurface::ContourDesignControlProtocol::wait_for_event() (this=0x555557876db0) at ../libs/surfaces/contourdesign/contourdesign.cc:255
#5  0x00007fffdaef1585 in sigc::bound_mem_functor0<bool, ArdourSurface::ContourDesignControlProtocol>::operator()() const (this=0x55555af163c8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007fffdaef0420 in sigc::adaptor_functor<sigc::bound_mem_functor0<bool, ArdourSurface::ContourDesignControlProtocol> >::operator()() const (this=0x55555af163c0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007fffdaeeec0e in sigc::internal::slot_call0<sigc::bound_mem_functor0<bool, ArdourSurface::ContourDesignControlProtocol>, bool>::call_it(sigc::internal::slot_rep*) (rep=0x55555af16390) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667b67 in Glib::Source::dispatch_vfunc(_GSource*, int (*)(void*), void*) () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54ff58f in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff5501531 in  () at /usr/lib/libglib-2.0.so.0
#11 0x00007ffff5502543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#12 0x00007ffff5946507 in BaseUI::main_thread() (this=0x555557876f40) at ../libs/pbd/base_ui.cc:98
#13 0x00007ffff594aabb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555af168d8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#14 0x00007ffff594a77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555af168d0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#15 0x00007ffff594a126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555af168a0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#16 0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#17 0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#18 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#19 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 67 (Thread 0x7fff92e04700 (LWP 34943)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007fffe8081803 in  () at /usr/lib/libusb-1.0.so.0
#2  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 66 (Thread 0x7fffc5ffb700 (LWP 34942)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff55014a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff5502543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5946507 in BaseUI::main_thread() (this=0x55555b0d8830) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff594aabb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555b0dbb38) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff594a77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555b0dbb30) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff594a126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555b0dbb00) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 65 (Thread 0x7fffc57fa700 (LWP 34941)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff55014a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff5502543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5946507 in BaseUI::main_thread() (this=0x555557fca410) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff594aabb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555b0d84d8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff594a77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555b0d84d0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff594a126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555b0d84a0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 64 (Thread 0x7fffc6ffd700 (LWP 34940)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff55014a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff5502543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5946507 in BaseUI::main_thread() (this=0x5555584d5310) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff594aabb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x5555584d7bb8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff594a77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x5555584d7bb0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff594a126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555584d7b80) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 63 (Thread 0x7fff91c18700 (LWP 34939)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff55014a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff5502543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5946507 in BaseUI::main_thread() (this=0x55555979d1d0) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff594aabb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x5555584d3998) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff594a77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x5555584d3990) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff594a126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555584d3960) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 62 (Thread 0x7fff91c93800 (LWP 34938)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff595da47 in CrossThreadChannel::poll_for_request() (this=0x555558825798) at ../libs/pbd/crossthread.posix.cc:102
#2  0x00007ffff595dac3 in CrossThreadChannel::receive(char&, bool) (this=0x555558825798, msg=@0x7fff91c92937: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:123
#3  0x00007ffff714d895 in ARDOUR::Butler::thread_work() (this=0x555558825700) at ../libs/ardour/butler.cc:172
#4  0x00007ffff714d62c in ARDOUR::Butler::_thread_work(void*) (arg=0x555558825700) at ../libs/ardour/butler.cc:153
#5  0x00007ffff5983801 in fake_thread_start(void*) (arg=0x55555aedb630) at ../libs/pbd/pthread_utils.cc:107
#6  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 46 (Thread 0x7fff9243cd80 (LWP 34922)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 45 (Thread 0x7fff92456d80 (LWP 34921)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 44 (Thread 0x7fff92470d80 (LWP 34920)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 43 (Thread 0x7fff9248ad80 (LWP 34919)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 42 (Thread 0x7fff924a4d80 (LWP 34918)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 41 (Thread 0x7fff924bed80 (LWP 34917)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 40 (Thread 0x7fff924d8d80 (LWP 34916)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 39 (Thread 0x7fff924f2d80 (LWP 34915)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7fff9250cd80 (LWP 34914)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7fff92526d80 (LWP 34913)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7fff92540d80 (LWP 34912)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7fff9255ad80 (LWP 34911)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 34 (Thread 0x7fff92574d80 (LWP 34910)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 33 (Thread 0x7fff9258ed80 (LWP 34909)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 32 (Thread 0x7fff925a8d80 (LWP 34908)):
#0  0x00007ffff40d87b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40d88a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7273236 in PBD::Semaphore::wait() (this=0x555558f2c530) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff77281ee in ARDOUR::RTTaskList::run() (this=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:113
#4  0x00007ffff7727f82 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f2c500) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7fffc4ff9700 (LWP 34893)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007fffd85a9c14 in  () at /usr/lib/libpulse.so.0
#2  0x00007fffd85b7059 in pa_mainloop_poll () at /usr/lib/libpulse.so.0
#3  0x00007fffd85c1301 in pa_mainloop_iterate () at /usr/lib/libpulse.so.0
#4  0x00007fffd85c13b1 in pa_mainloop_run () at /usr/lib/libpulse.so.0
#5  0x00007fffd85b161e in  () at /usr/lib/libpulse.so.0
#6  0x00007fffd8535d1c in  () at /usr/lib/pulseaudio/libpulsecommon-13.0.so
#7  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7fffc7fff700 (LWP 34887)):
#0  0x00007ffff370dabf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff55014a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff5501571 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff55015c2 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fffda36e700 (LWP 34875)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff70d8164 in ARDOUR::AudioEngine::do_devicelist_update() (this=0x55555753c780) at ../libs/ardour/audioengine.cc:678
#3  0x00007ffff70e5d6d in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x555557546410, p=0x55555753c780) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff70e56f3 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x555557546420, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff70e4e48 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x555557546410) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff70e4676 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x555557546410) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff70e391d in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555575463e0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffdae59700 (LWP 34874)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff70d7ee0 in ARDOUR::AudioEngine::do_reset_backend() (this=0x55555753c780) at ../libs/ardour/audioengine.cc:642
#3  0x00007ffff70e5d6d in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x55555740ec60, p=0x55555753c780) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff70e56f3 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x55555740ec70, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff70e4e48 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x55555740ec60) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff70e4676 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x55555740ec60) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff70e391d in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555740ec30) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffe9155700 (LWP 34872)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7086869 in ARDOUR::Analyser::work() () at ../libs/ardour/analyser.cc:93
#3  0x00007ffff7086608 in analyser_work() () at ../libs/ardour/analyser.cc:58
#4  0x000055555645c97f in sigc::pointer_functor0<void>::operator()() const (this=0x555556fb1678) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000555556459588 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555556fb1670) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00005555564550de in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555556fb1640) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffe9956700 (LWP 34871)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff787cca3 in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3  0x000055555645c97f in sigc::pointer_functor0<void>::operator()() const (this=0x5555570200d8) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000555556459588 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x5555570200d0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x00005555564550de in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555570200a0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#6  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#7  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#8  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffea157700 (LWP 34870)):
#0  0x00007ffff3712f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54b0531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff787cca3 in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3  0x000055555645c97f in sigc::pointer_functor0<void>::operator()() const (this=0x555556fd3558) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000555556459588 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555556fd3550) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x00005555564550de in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555556fd3520) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#6  0x00007ffff5667d7a in  () at /usr/lib/libglibmm-2.4.so.1
#7  0x00007ffff54dd5b1 in  () at /usr/lib/libglib-2.0.so.0
#8  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffea958700 (LWP 34869)):
#0  0x00007ffff36e02d1 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff36e5bf7 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff54cb691 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x00005555567f7d23 in gui_event_loop(void*) (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:374
#4  0x00007ffff40cf46f in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff37183d3 in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fffeb291bc0 (LWP 34864)):
#0  0x00007ffff3654ce5 in raise () at /usr/lib/libc.so.6
#1  0x00007ffff363e857 in abort () at /usr/lib/libc.so.6
#2  0x00007ffff363e727 in _nl_load_domain.cold () at /usr/lib/libc.so.6
#3  0x00007ffff364d426 in  () at /usr/lib/libc.so.6
#4  0x00007ffff7172804 in ARDOUR::DelayLine::set_delay(long) (this=0x555562dcc960, signal_delay=22) at ../libs/ardour/delayline.cc:292
#5  0x00007ffff76f2a6b in ARDOUR::Route::apply_latency_compensation() (this=0x555562dbad90) at ../libs/ardour/route.cc:4273
#6  0x00007ffff77655d3 in ARDOUR::Session::update_latency_compensation(bool, bool) (this=0x555558921860, force_whole_graph=false, called_from_backend=false) at ../libs/ardour/session.cc:6704
#7  0x00007ffff785180c in ARDOUR::Session::route_processors_changed(ARDOUR::RouteProcessorChange) (this=0x555558921860, c=...) at ../libs/ardour/session_transport.cc:1868
#8  0x00007ffff7792219 in boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>::operator()(ARDOUR::Session*, ARDOUR::RouteProcessorChange) const (this=0x55557f1a2568, p=0x555558921860, a1=...) at /usr/include/boost/bind/mem_fn_template.hpp:165
#9  0x00007ffff778ed1f in boost::_bi::list2<boost::_bi::value<ARDOUR::Session*>, boost::arg<1> >::operator()<boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>, boost::_bi::rrlist1<ARDOUR::RouteProcessorChange> >(boost::_bi::type<void>, boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>&, boost::_bi::rrlist1<ARDOUR::RouteProcessorChange>&, int) (this=0x55557f1a2578, f=..., a=...) at /usr/include/boost/bind/bind.hpp:319
#10 0x00007ffff778a1ab in boost::_bi::bind_t<void, boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>, boost::_bi::list2<boost::_bi::value<ARDOUR::Session*>, boost::arg<1> > >::operator()<ARDOUR::RouteProcessorChange>(ARDOUR::RouteProcessorChange&&) (this=0x55557f1a2568, a1=...) at /usr/include/boost/bind/bind.hpp:1306
#11 0x00007ffff778449d in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, boost::_mfi::mf1<void, ARDOUR::Session, ARDOUR::RouteProcessorChange>, boost::_bi::list2<boost::_bi::value<ARDOUR::Session*>, boost::arg<1> > >, void, ARDOUR::RouteProcessorChange>::invoke(boost::detail::function::function_buffer&, ARDOUR::RouteProcessorChange) (function_obj_ptr=..., a0=...) at /usr/include/boost/function/function_template.hpp:158
#12 0x0000555556026d2a in boost::function1<void, ARDOUR::RouteProcessorChange>::operator()(ARDOUR::RouteProcessorChange) const (this=0x55557f1a2560, a0=...) at /usr/include/boost/function/function_template.hpp:763
#13 0x00007ffff7292d95 in PBD::Signal1<void, ARDOUR::RouteProcessorChange, PBD::OptionalLastValue<void> >::operator()(ARDOUR::RouteProcessorChange) (this=0x5555817cd748, a1=...) at libs/pbd/pbd/signals_generated.h:704
#14 0x00007ffff76e6dd0 in ARDOUR::Route::set_strict_io(bool) (this=0x5555817cd000, enable=true) at ../libs/ardour/route.cc:2452
#15 0x0000555555dc719b in Editor::finish_bringing_in_material(boost::shared_ptr<ARDOUR::Region>, unsigned int, unsigned int, long&, Editing::ImportMode, boost::shared_ptr<ARDOUR::Track>&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x55555bf04380, region=..., in_chans=2, out_chans=2, pos=@0x55555bf05aa8: 0, mode=Editing::ImportAsTrack, existing_track=..., new_track_name="sample-057", instrument=...) at ../gtk2_ardour/editor_audio_import.cc:1026
#16 0x0000555555dc683b in Editor::add_sources(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, std::vector<boost::shared_ptr<ARDOUR::Source>, std::allocator<boost::shared_ptr<ARDOUR::Source> > >&, long&, Editing::ImportDisposition, Editing::ImportMode, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x55555bf04380, paths=std::vector of length 1, capacity 1 = {...}, sources=std::vector of length 2, capacity 2 = {...}, pos=@0x55555bf05aa8: 0, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, target_regions=1, target_tracks=-1, track=..., instrument=...) at ../gtk2_ardour/editor_audio_import.cc:946
#17 0x0000555555dc4330 in Editor::import_sndfiles(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, long&, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x55555bf04380, paths=std::vector of length 1, capacity 1 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, pos=@0x7fffffffb6f8: 0, target_regions=1, target_tracks=-1, track=..., replace=false, instrument=...) at ../gtk2_ardour/editor_audio_import.cc:593
#18 0x0000555555dc3326 in Editor::do_import(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, ARDOUR::MidiTrackNameSource, ARDOUR::MidiTempoMapDisposition, long&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x55555bf04380, paths=std::vector of length 500, capacity 500 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, midi_track_name_source=ARDOUR::SMFTrackNumber, smf_tempo_disposition=ARDOUR::SMFTempoIgnore, pos=@0x7fffffffb6f8: 0, instrument=...) at ../gtk2_ardour/editor_audio_import.cc:425
#19 0x000055555665cf3e in SoundFileOmega::do_something(int) (this=0x555559808d10, action=-5) at ../gtk2_ardour/sfdb_ui.cc:2104
#20 0x0000555556665a8c in sigc::bound_mem_functor1<void, SoundFileBrowser, int>::operator()(int const&) const (this=0x555557373000, _A_a1=@0x7fffffffb7b4: -5) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2066
#21 0x0000555556664e41 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, SoundFileBrowser, int> >::operator()<Gtk::ResponseType&>(Gtk::ResponseType&) const (this=0x555557372ff8, _A_arg1=@0x555557373020: Gtk::RESPONSE_OK) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#22 0x0000555556663fb0 in sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()() (this=0x555557372ff0) at /usr/include/sigc++-2.0/sigc++/adaptors/bind.h:1124
#23 0x000055555666282a in sigc::internal::slot_call0<sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555557372fc0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#24 0x00007ffff56642b9 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () at /usr/lib/libglibmm-2.4.so.1
#25 0x00007ffff55fa61a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#26 0x00007ffff55db3a5 in  () at /usr/lib/libgobject-2.0.so.0
#27 0x00007ffff55deab9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#28 0x00007ffff55e06b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#29 0x00007ffff50c47fe in  () at /usr/lib/libgtk-x11-2.0.so.0
#30 0x00007ffff55fa61a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#31 0x00007ffff55dbad4 in  () at /usr/lib/libgobject-2.0.so.0
#32 0x00007ffff55deab9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#33 0x00007ffff55e06b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#34 0x00007ffff50c36ba in  () at /usr/lib/libgtk-x11-2.0.so.0
#35 0x00007ffff516e03c in  () at /usr/lib/libgtk-x11-2.0.so.0
#36 0x00007ffff55fa61a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#37 0x00007ffff55db0e8 in  () at /usr/lib/libgobject-2.0.so.0
#38 0x00007ffff55de5cc in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#39 0x00007ffff55e06b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#40 0x00007ffff528a6f8 in  () at /usr/lib/libgtk-x11-2.0.so.0
#41 0x00007ffff516c73e in gtk_propagate_event () at /usr/lib/libgtk-x11-2.0.so.0
#42 0x00007ffff516cb3b in gtk_main_do_event () at /usr/lib/libgtk-x11-2.0.so.0
#43 0x00007ffff4fe15be in  () at /usr/lib/libgdk-x11-2.0.so.0
#44 0x00007ffff54ff6be in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#45 0x00007ffff5501531 in  () at /usr/lib/libglib-2.0.so.0
#46 0x00007ffff5502543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#47 0x00007ffff516bb7e in gtk_main () at /usr/lib/libgtk-x11-2.0.so.0
#48 0x00007ffff5b35b53 in Gtkmm2ext::UI::run(Receiver&) (this=0x55555756abd0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:290
#49 0x00005555561745ab in main(int, char**) (argc=1, argv=0x7fffffffcad8) at ../gtk2_ardour/main.cc:435
gdb.txt (82,752 bytes)

x42

2020-04-12 21:42

administrator   ~0021322

That is an odd backtrace it's the first one that I've seen that doesn't show any other thread in Delayline::*

x42

2020-04-25 16:29

administrator   ~0023915

This should be fixed since 6.0-rc1-102-g02e5605cdd

Please test!

johmue-eo

2020-04-25 19:52

developer   ~0023917

Sorry, it has gotten worse. I cannot trigger the crash any more by importing multiple files. But that's only because I can no longer import multiple files at all.

I start by "./gtk2_ardour/ardev -D latency -D latencycompensation"

I can import one file at once, but when I try to import more than one at once, the following output appears and the UI freezes.

Importing 1 at once
actually writing state to /tmp/Untitled-2020-04-25-21-46-22/Untitled-2020-04-25-21-46-22.tmp
renaming state to /tmp/Untitled-2020-04-25-21-46-22/Untitled-2020-04-25-21-46-22.ardour
saved state in 2.8 ms
DEBUG::LatencyCompensation: configure IO: latcomp-Audio 1-0x561fe5c1fac0 Ain: 0 Aout: 0 Min: 0 Mout: 0
DEBUG::LatencyCompensation: configure IO: latcomp-Audio 1-0x561fe5c1fac0 Ain: 2 Aout: 2 Min: 0 Mout: 0
DEBUG::LatencyCompensation: Engine latency callback: CAPTURE (initial/deletion? 0)
DEBUG::LatencyCompensation: Worst input latency: 139
DEBUG::LatencyCompensation: Engine latency callback: DONE
DEBUG::LatencyCompensation: Engine latency callback: PLAYBACK (initial/deletion? 0)
DEBUG::LatencyCompensation: Worst output latency: 395
DEBUG::LatencyCompensation: configure IO: latcomp-Audio 1-0x561fe5c1fac0 Ain: 2 Aout: 2 Min: 0 Mout: 0
DEBUG::LatencyCompensation: latcomp-Audio 1-0x561fe5d41600 set_delay - no change: 22 samples for 2 channels
DEBUG::LatencyCompensation: Engine latency callback: DONE
DEBUG::LatencyCompensation: Engine latency callback: CAPTURE (initial/deletion? 0)
DEBUG::LatencyCompensation: Engine latency callback: PLAYBACK (initial/deletion? 0)
DEBUG::LatencyCompensation: update_latency_compensation of whole graph
DEBUG::LatencyCompensation: update_latency_compensation: delegate to engine
DEBUG::LatencyCompensation: update_latency_compensation: DONE
DEBUG::LatencyCompensation: Engine latency callback: CAPTURE (initial/deletion? 0)
DEBUG::LatencyCompensation: Worst input latency: 139
DEBUG::LatencyCompensation: Engine latency callback: DONE
DEBUG::LatencyCompensation: Engine latency callback: PLAYBACK (initial/deletion? 0)
DEBUG::LatencyCompensation: Worst output latency: 395
DEBUG::LatencyCompensation: Session::set_worst_io_latencies
[1] 36908 killed ./gtk2_ardour/ardev -D latency -D latencycompensation


Eventually I killed it by ^C

When I revert apply b196cef2c4443ca2a6e7d26b03b3691d0ad706c5 I'm back to the old issue. I can import a bunch of files, but after like 30 files the above assertion fails.

johmue-eo

2020-04-25 20:21

developer   ~0023920

Forgot to add jack's messages. A bunch of

CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 33 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 34 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 37 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 39 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 44 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 46 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 51 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 52 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 55 val2 = 0
Cannot write socket fd = 62 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = ardour notification = 10 val1 = 56 val2 = 0
Cannot write socket fd = 62 err = Broken pipe

x42

2020-04-25 23:28

administrator   ~0023923

OK, that seems to be another issue with JACK... which I cannot reproduce :(

x42

2020-04-26 00:05

administrator   ~0023924

@johmue-eo Could you get a backtrace when it hangs or assert()s?

johmue-eo

2020-04-26 09:56

developer   ~0023926

Attaching one backtrace from an Arch system

* jackdmp version 1.9.14 with dummy backend
* ardour 02e5605cdd

gdb-arch.txt (90,558 bytes)
Starting program: /home/joh/Devel/Ardour/build/gtk2_ardour/ardour-6.0.pre1.118 -D latency -D latencycompensation
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffea8a0700 (LWP 6658)]
[New Thread 0x7fffea09f700 (LWP 6659)]
[New Thread 0x7fffe989e700 (LWP 6660)]
[New Thread 0x7fffe909d700 (LWP 6661)]
[New Thread 0x7fffdadd4700 (LWP 6686)]
[Thread 0x7fffdadd4700 (LWP 6686) exited]
[New Thread 0x7fffdadd4700 (LWP 6687)]
[New Thread 0x7fffda2a5700 (LWP 6688)]
[New Thread 0x7fffd92b1700 (LWP 6689)]
[New Thread 0x7fffd8802700 (LWP 6690)]
[Thread 0x7fffd8802700 (LWP 6690) exited]
[New Thread 0x7fffd8802700 (LWP 6691)]
[Thread 0x7fffd8802700 (LWP 6691) exited]
[New Thread 0x7fffd8802700 (LWP 6692)]
[Thread 0x7fffd8802700 (LWP 6692) exited]
[New Thread 0x7fffd8802700 (LWP 6693)]
[Thread 0x7fffd8802700 (LWP 6693) exited]
[New Thread 0x7fffc7fff700 (LWP 6694)]
[New Thread 0x7fffc77fe700 (LWP 6695)]
[New Thread 0x7fffc6ffd700 (LWP 6696)]
[New Thread 0x7fffc67fc700 (LWP 6697)]
[New Thread 0x7fffc5ffb700 (LWP 6698)]
[New Thread 0x7fffc57fa700 (LWP 6699)]
[New Thread 0x7fffc4ff9700 (LWP 6700)]
[Thread 0x7fffc5ffb700 (LWP 6698) exited]
[Thread 0x7fffc67fc700 (LWP 6697) exited]
[Thread 0x7fffc6ffd700 (LWP 6696) exited]
[Thread 0x7fffc77fe700 (LWP 6695) exited]
[Thread 0x7fffd92b1700 (LWP 6689) exited]
[New Thread 0x7fffc77fe700 (LWP 6702)]
[New Thread 0x7fffc67fc700 (LWP 6703)]
[New Thread 0x7fffc6ffd700 (LWP 6704)]
[Thread 0x7fffc6ffd700 (LWP 6704) exited]
[Thread 0x7fffc67fc700 (LWP 6703) exited]
[Thread 0x7fffc57fa700 (LWP 6699) exited]
[New Thread 0x7fffd8802700 (LWP 6708)]
[Thread 0x7fffd8802700 (LWP 6708) exited]
[New Thread 0x7fffd8802700 (LWP 6709)]
[Thread 0x7fffd8802700 (LWP 6709) exited]
[New Thread 0x7fffd8802700 (LWP 6710)]
[Thread 0x7fffd8802700 (LWP 6710) exited]
[New Thread 0x7fffc57fa700 (LWP 6711)]
[New Thread 0x7fffc6ffd700 (LWP 6712)]
[Thread 0x7fffc6ffd700 (LWP 6712) exited]
[Thread 0x7fffc57fa700 (LWP 6711) exited]
[New Thread 0x7fffd8802700 (LWP 6714)]
[Detaching after fork from child process 6715]
[New Thread 0x7fffd8199700 (LWP 6723)]
[New Thread 0x7fffc45ce700 (LWP 6724)]
[New Thread 0x7fffc57fa700 (LWP 6726)]
[New Thread 0x7fffc6ffd700 (LWP 6727)]
[New Thread 0x7fffc67fc700 (LWP 6728)]
[New Thread 0x7fffc5ffb700 (LWP 6729)]
[Thread 0x7fffc5ffb700 (LWP 6729) exited]
[Thread 0x7fffc67fc700 (LWP 6728) exited]
[Thread 0x7fffc77fe700 (LWP 6702) exited]
[Thread 0x7fffc6ffd700 (LWP 6727) exited]
[New Thread 0x7fffc400f700 (LWP 6730)]
[New Thread 0x7fff92cf2700 (LWP 6731)]
[New Thread 0x7fff92ce9700 (LWP 6732)]
[New Thread 0x7fff92ce0700 (LWP 6733)]
[New Thread 0x7fff92cd7700 (LWP 6734)]
[New Thread 0x7fff92cce700 (LWP 6735)]
[New Thread 0x7fff92cc5700 (LWP 6736)]
[New Thread 0x7fff92cbc700 (LWP 6737)]
[New Thread 0x7fff92cb3700 (LWP 6738)]
[New Thread 0x7fff92caa700 (LWP 6739)]
[New Thread 0x7fff92ca1700 (LWP 6740)]
[New Thread 0x7fff92c98700 (LWP 6741)]
[New Thread 0x7fff92c8f700 (LWP 6742)]
[New Thread 0x7fff92c86700 (LWP 6743)]
[New Thread 0x7fff92c7d700 (LWP 6744)]
[New Thread 0x7fff92c74700 (LWP 6745)]
[New Thread 0x7fff92bf3700 (LWP 6746)]
[New Thread 0x7fff92b72700 (LWP 6747)]
[New Thread 0x7fff92af1700 (LWP 6748)]
[New Thread 0x7fff92a70700 (LWP 6749)]
[New Thread 0x7fff929ef700 (LWP 6750)]
[New Thread 0x7fff9296e700 (LWP 6751)]
[New Thread 0x7fff928ed700 (LWP 6752)]
[New Thread 0x7fff9286c700 (LWP 6753)]
[New Thread 0x7fff927eb700 (LWP 6754)]
[New Thread 0x7fff9276a700 (LWP 6755)]
[New Thread 0x7fff926e9700 (LWP 6756)]
[New Thread 0x7fff92668700 (LWP 6757)]
[New Thread 0x7fff925e7700 (LWP 6758)]
[New Thread 0x7fff92566700 (LWP 6759)]
[New Thread 0x7fff924e5700 (LWP 6760)]
[New Thread 0x7fffc6ffd700 (LWP 6761)]
[New Thread 0x7fffc77fe700 (LWP 6762)]
[New Thread 0x7fffc5ffb700 (LWP 6763)]
[New Thread 0x7fffc67fc700 (LWP 6764)]
[New Thread 0x7fff90bf3700 (LWP 6765)]
[New Thread 0x7fff0bfff700 (LWP 6766)]
[New Thread 0x7fff0b7fe700 (LWP 6767)]
[New Thread 0x7fff0affd700 (LWP 6768)]
[New Thread 0x7fff0a7fc700 (LWP 6769)]
[New Thread 0x7fff097fb700 (LWP 6795)]
[New Thread 0x7fff08ffa700 (LWP 6796)]
[New Thread 0x7ffef3fff700 (LWP 6797)]
[New Thread 0x7ffef37fe700 (LWP 6798)]
[New Thread 0x7ffef2ffd700 (LWP 6799)]
[New Thread 0x7ffef27fc700 (LWP 6800)]
[New Thread 0x7ffef1ffb700 (LWP 6801)]
[New Thread 0x7ffef17fa700 (LWP 6802)]
[New Thread 0x7ffef0ff9700 (LWP 6803)]
[Thread 0x7ffef27fc700 (LWP 6800) exited]
[Thread 0x7ffef2ffd700 (LWP 6799) exited]
[Thread 0x7ffef37fe700 (LWP 6798) exited]
[Thread 0x7ffef1ffb700 (LWP 6801) exited]
[Thread 0x7fff08ffa700 (LWP 6796) exited]
[Thread 0x7ffef0ff9700 (LWP 6803) exited]
[Thread 0x7ffef3fff700 (LWP 6797) exited]
[Thread 0x7fff097fb700 (LWP 6795) exited]
[Thread 0x7fffc57fa700 (LWP 6726) exited]
[New Thread 0x7fffc57fa700 (LWP 6848)]
[New Thread 0x7fff097fb700 (LWP 6849)]
[New Thread 0x7ffef0ff9700 (LWP 6850)]
[Thread 0x7ffef0ff9700 (LWP 6850) exited]
[Thread 0x7fff097fb700 (LWP 6849) exited]
[Thread 0x7fffc57fa700 (LWP 6848) exited]
[New Thread 0x7fff90280700 (LWP 6851)]
[Thread 0x7fff90280700 (LWP 6851) exited]
[New Thread 0x7ffef0ff9700 (LWP 6853)]
[New Thread 0x7fff097fb700 (LWP 6854)]
[New Thread 0x7fffc57fa700 (LWP 6855)]
[New Thread 0x7ffef3fff700 (LWP 6856)]
[New Thread 0x7fff08ffa700 (LWP 6857)]
[New Thread 0x7ffef37fe700 (LWP 6858)]
[New Thread 0x7ffef2ffd700 (LWP 6859)]
[New Thread 0x7ffef27fc700 (LWP 6860)]
[New Thread 0x7fff90280700 (LWP 6861)]
[Thread 0x7fff90280700 (LWP 6861) exited]
[Thread 0x7ffef17fa700 (LWP 6802) exited]

Thread 96 (Thread 0x7ffef27fc700 (LWP 6860)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x5555647163d0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555564716448) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555564716440) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555564716410) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 95 (Thread 0x7ffef2ffd700 (LWP 6859)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x555564716120) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555564716198) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555564716190) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555564716160) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 94 (Thread 0x7ffef37fe700 (LWP 6858)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55556487e8b0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555564715ee8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555564715ee0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555564715eb0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 93 (Thread 0x7fff08ffa700 (LWP 6857)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55556487e600) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x55556487e678) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x55556487e670) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55556487e640) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 92 (Thread 0x7ffef3fff700 (LWP 6856)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55556487e540) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x55556487e5b8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x55556487e5b0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55556487e580) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 91 (Thread 0x7fffc57fa700 (LWP 6855)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55556487e3d0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x55556487e4a8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x55556487e4a0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55556487e470) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 90 (Thread 0x7fff097fb700 (LWP 6854)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55556487e3f0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x55556487dab8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x55556487dab0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55556487da80) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 89 (Thread 0x7ffef0ff9700 (LWP 6853)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f2d682 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55556470c758, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f2d9cb in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f2ddcf in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55556487e370) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7f32e47 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const (this=0x555564877c18) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007ffff7f32952 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const (this=0x555564877c10) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7f322aa in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555564877be0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 75 (Thread 0x7fff0a7fc700 (LWP 6769)):
#0  0x00007ffff36d42d1 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff36d9bf7 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff54bf691 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff712cc01 in ARDOUR::AutomationWatch::thread() (this=0x5555598e7860) at ../libs/ardour/automation_watch.cc:195
#4  0x00007ffff71327d3 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const (this=0x55555a0b5dd0, p=0x5555598e7860) at /usr/include/boost/bind/mem_fn_template.hpp:49
#5  0x00007ffff713237b in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) (this=0x55555a0b5de0, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#6  0x00007ffff7131b82 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() (this=0x55555a0b5dd0) at /usr/include/boost/bind/bind.hpp:1294
#7  0x00007ffff7131ae2 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const (this=0x55555a0b5dd0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#8  0x00007ffff7131441 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555a0b5da0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#9  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#10 0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 74 (Thread 0x7fff0affd700 (LWP 6768)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a445d in  () at /usr/lib/libglib-2.0.so.0
#2  0x0000555555b69d6c in Glib::Threads::Mutex::Lock::Lock(Glib::Threads::Mutex&) (this=0x7fff0affc4d0, mutex=...) at /usr/include/glibmm-2.4/glibmm/threads.h:687
#3  0x00007ffff7760ee1 in ARDOUR::Session::set_worst_io_latencies() (this=0x555558aa8800) at ../libs/ardour/session.cc:6595
#4  0x00007ffff77603b4 in ARDOUR::Session::set_worst_io_latencies_x(ARDOUR::IOChange, void*) (this=0x555558aa8800) at ../libs/ardour/session.cc:6462
#5  0x00007ffff778e3db in boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>::operator()(ARDOUR::Session*, ARDOUR::IOChange, void*) const (this=0x7fff000ffc78, p=0x555558aa8800, a1=..., a2=0x555558aa8800) at /usr/include/boost/bind/mem_fn_template.hpp:280
#6  0x00007ffff778af6a in boost::_bi::list3<boost::_bi::value<ARDOUR::Session*>, boost::arg<1>, boost::arg<2> >::operator()<boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>, boost::_bi::rrlist2<ARDOUR::IOChange, void*> >(boost::_bi::type<void>, boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>&, boost::_bi::rrlist2<ARDOUR::IOChange, void*>&, int) (this=0x7fff000ffc88, f=..., a=...) at /usr/include/boost/bind/bind.hpp:398
#7  0x00007ffff7786409 in boost::_bi::bind_t<void, boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>, boost::_bi::list3<boost::_bi::value<ARDOUR::Session*>, boost::arg<1>, boost::arg<2> > >::operator()<ARDOUR::IOChange, void*>(ARDOUR::IOChange&&, void*&&) (this=0x7fff000ffc78, a1=..., a2=@0x7fff0affc660: 0x555558aa8800) at /usr/include/boost/bind/bind.hpp:1318
#8  0x00007ffff7780732 in boost::detail::function::void_function_obj_invoker2<boost::_bi::bind_t<void, boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>, boost::_bi::list3<boost::_bi::value<ARDOUR::Session*>, boost::arg<1>, boost::arg<2> > >, void, ARDOUR::IOChange, void*>::invoke(boost::detail::function::function_buffer&, ARDOUR::IOChange, void*) (function_obj_ptr=..., a0=..., a1=0x555558aa8800) at /usr/include/boost/function/function_template.hpp:158
#9  0x000055555602ca8f in boost::function2<void, ARDOUR::IOChange, void*>::operator()(ARDOUR::IOChange, void*) const (this=0x7fff000ffc70, a0=..., a1=0x555558aa8800) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007ffff729e7ff in PBD::Signal2<void, ARDOUR::IOChange, void*, PBD::OptionalLastValue<void> >::operator()(ARDOUR::IOChange, void*) (this=0x555564aaee68, a1=..., a2=0x555558aa8800) at libs/pbd/pbd/signals_generated.h:1080
#11 0x00007ffff7292bf5 in ARDOUR::IO::connect(boost::shared_ptr<ARDOUR::Port>, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, void*) (this=0x555564aaec80, our_port=..., other_port="Master/audio_in 1", src=0x555558aa8800) at ../libs/ardour/io.cc:206
#12 0x00007ffff7762baa in ARDOUR::Session::auto_connect(ARDOUR::Session::AutoConnectRequest const&) (this=0x555558aa8800, ar=...) at ../libs/ardour/session.cc:6906
#13 0x00007ffff77631e2 in ARDOUR::Session::auto_connect_thread_run() (this=0x555558aa8800) at ../libs/ardour/session.cc:6989
#14 0x00007ffff7763024 in ARDOUR::Session::auto_connect_thread(void*) (arg=0x555558aa8800) at ../libs/ardour/session.cc:6963
#15 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 73 (Thread 0x7fff0b7fe700 (LWP 6767)):
#0  0x00007ffff40c9cf5 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff77e223b in ARDOUR::Session::emit_thread_run() (this=0x555558aa8800) at ../libs/ardour/session_process.cc:1111
#2  0x00007ffff77e21d8 in ARDOUR::Session::emit_thread(void*) (arg=0x555558aa8800) at ../libs/ardour/session_process.cc:1100
#3  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 72 (Thread 0x7fff0bfff700 (LWP 6766)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007fffe801f986 in  () at /usr/lib/libusb-1.0.so.0
#2  0x00007fffe8020c0d in libusb_handle_events_timeout_completed () at /usr/lib/libusb-1.0.so.0
#3  0x00007fffe8020c60 in libusb_handle_events () at /usr/lib/libusb-1.0.so.0
#4  0x00007fffdae5902f in ArdourSurface::ContourDesignControlProtocol::wait_for_event() (this=0x55555bdac620) at ../libs/surfaces/contourdesign/contourdesign.cc:255
#5  0x00007fffdae6c585 in sigc::bound_mem_functor0<bool, ArdourSurface::ContourDesignControlProtocol>::operator()() const (this=0x5555598650e8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#6  0x00007fffdae6b420 in sigc::adaptor_functor<sigc::bound_mem_functor0<bool, ArdourSurface::ContourDesignControlProtocol> >::operator()() const (this=0x5555598650e0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007fffdae69c0e in sigc::internal::slot_call0<sigc::bound_mem_functor0<bool, ArdourSurface::ContourDesignControlProtocol>, bool>::call_it(sigc::internal::slot_rep*) (rep=0x5555598650b0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bb67 in Glib::Source::dispatch_vfunc(_GSource*, int (*)(void*), void*) () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54f358f in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff54f5531 in  () at /usr/lib/libglib-2.0.so.0
#11 0x00007ffff54f6543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#12 0x00007ffff5937507 in BaseUI::main_thread() (this=0x55555bdac7b0) at ../libs/pbd/base_ui.cc:98
#13 0x00007ffff593babb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x555559865b78) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#14 0x00007ffff593b77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x555559865b70) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#15 0x00007ffff593b126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555559865b40) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#16 0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#17 0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#18 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#19 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 71 (Thread 0x7fff90bf3700 (LWP 6765)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007fffe8026803 in  () at /usr/lib/libusb-1.0.so.0
#2  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 70 (Thread 0x7fffc67fc700 (LWP 6764)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff54f54a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff54f6543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5937507 in BaseUI::main_thread() (this=0x555558eb3910) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff593babb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x555558eb7ad8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff593b77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x555558eb7ad0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff593b126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555558eb7aa0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 69 (Thread 0x7fffc5ffb700 (LWP 6763)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff54f54a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff54f6543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5937507 in BaseUI::main_thread() (this=0x55555a991b60) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff593babb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x555558eb35b8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff593b77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x555558eb35b0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff593b126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555558eb3580) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 68 (Thread 0x7fffc77fe700 (LWP 6762)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff54f54a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff54f6543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5937507 in BaseUI::main_thread() (this=0x55555b087710) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff593babb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555b08baa8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff593b77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555b08baa0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff593b126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555b08ba70) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 67 (Thread 0x7fffc6ffd700 (LWP 6761)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff54f54a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff54f6543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff5937507 in BaseUI::main_thread() (this=0x555558ad0470) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff593babb in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x5555593076e8) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff593b77c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x5555593076e0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff593b126 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555593076b0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 66 (Thread 0x7fff924e5700 (LWP 6760)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff594ea47 in CrossThreadChannel::poll_for_request() (this=0x555557c496d8) at ../libs/pbd/crossthread.posix.cc:102
#2  0x00007ffff594eac3 in CrossThreadChannel::receive(char&, bool) (this=0x555557c496d8, msg=@0x7fff924e4837: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:123
#3  0x00007ffff7144e55 in ARDOUR::Butler::thread_work() (this=0x555557c49640) at ../libs/ardour/butler.cc:172
#4  0x00007ffff7144bec in ARDOUR::Butler::_thread_work(void*) (arg=0x555557c49640) at ../libs/ardour/butler.cc:153
#5  0x00007ffff5974801 in fake_thread_start(void*) (arg=0x555558b7c890) at ../libs/pbd/pthread_utils.cc:107
#6  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 65 (Thread 0x7fff92566700 (LWP 6759)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92565a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92565a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92565a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92565a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab5270) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 64 (Thread 0x7fff925e7700 (LWP 6758)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff925e6a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff925e6a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff925e6a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff925e6a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab5040) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 63 (Thread 0x7fff92668700 (LWP 6757)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92667a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92667a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92667a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92667a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab4e10) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 62 (Thread 0x7fff926e9700 (LWP 6756)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff926e8a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff926e8a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff926e8a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff926e8a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab4be0) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 61 (Thread 0x7fff9276a700 (LWP 6755)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92769a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92769a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92769a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92769a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab49b0) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 60 (Thread 0x7fff927eb700 (LWP 6754)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff927eaa38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff927eaa48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff927eaa38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff927eaa30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab4780) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 59 (Thread 0x7fff9286c700 (LWP 6753)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0728) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff72676ae in ARDOUR::Graph::reached_terminal_node() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:301
#4  0x00007ffff726fa02 in ARDOUR::GraphNode::finish(int) (this=0x555559197f48, chain=0) at ../libs/ardour/graphnode.cc:73
#5  0x00007ffff726abf4 in ARDOUR::GraphNode::run(int) (this=0x555559197f48, chain=0) at ../libs/ardour/ardour/graphnode.h:63
#6  0x00007ffff726844c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:442
#7  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#8  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff9286ba38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#9  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff9286ba48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#10 0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff9286ba38) at /usr/include/boost/bind/bind.hpp:1294
#11 0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#12 0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff9286ba30) at /usr/include/boost/function/function_template.hpp:763
#13 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab4550) at ../libs/backends/jack/jack_audiobackend.cc:953
#14 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#15 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 58 (Thread 0x7fff928ed700 (LWP 6752)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff928eca38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff928eca48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff928eca38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff928eca30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab4320) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 57 (Thread 0x7fff9296e700 (LWP 6751)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff9296da38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff9296da48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff9296da38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff9296da30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ab40f0) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 56 (Thread 0x7fff929ef700 (LWP 6750)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff929eea38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff929eea48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff929eea38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff929eea30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x5555578bae00) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 55 (Thread 0x7fff92a70700 (LWP 6749)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92a6fa38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92a6fa48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92a6fa38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92a6fa30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558fc5a10) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 54 (Thread 0x7fff92af1700 (LWP 6748)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92af0a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92af0a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92af0a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92af0a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558b10980) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 53 (Thread 0x7fff92b72700 (LWP 6747)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92b71a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92b71a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92b71a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92b71a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x5555578ba7f0) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 52 (Thread 0x7fff92bf3700 (LWP 6746)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff72687cb in ARDOUR::Graph::helper_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:470
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92bf2a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92bf2a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92bf2a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92bf2a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x55555bfe23a0) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 51 (Thread 0x7fff92c74700 (LWP 6745)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x55555bdd0700) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff726830c in ARDOUR::Graph::run_one() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff7268c0b in ARDOUR::Graph::main_thread() (this=0x55555bdd0650) at ../libs/ardour/graph.cc:523
#5  0x00007ffff726f25d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fff92c73a38, p=0x55555bdd0650) at /usr/include/boost/bind/mem_fn_template.hpp:49
#6  0x00007ffff726ea5d in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fff92c73a48, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#7  0x00007ffff726dee6 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fff92c73a38) at /usr/include/boost/bind/bind.hpp:1294
#8  0x00007ffff726d611 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:158
#9  0x0000555555b85431 in boost::function0<void>::operator()() const (this=0x7fff92c73a30) at /usr/include/boost/function/function_template.hpp:763
#10 0x00007fffd99fc805 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x5555588b4a50) at ../libs/backends/jack/jack_audiobackend.cc:953
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 50 (Thread 0x7fff92c7d700 (LWP 6744)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 49 (Thread 0x7fff92c86700 (LWP 6743)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 48 (Thread 0x7fff92c8f700 (LWP 6742)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 47 (Thread 0x7fff92c98700 (LWP 6741)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 46 (Thread 0x7fff92ca1700 (LWP 6740)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 45 (Thread 0x7fff92caa700 (LWP 6739)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 44 (Thread 0x7fff92cb3700 (LWP 6738)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 43 (Thread 0x7fff92cbc700 (LWP 6737)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 42 (Thread 0x7fff92cc5700 (LWP 6736)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 41 (Thread 0x7fff92cce700 (LWP 6735)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 40 (Thread 0x7fff92cd7700 (LWP 6734)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 39 (Thread 0x7fff92ce0700 (LWP 6733)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7fff92ce9700 (LWP 6732)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7fff92cf2700 (LWP 6731)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7fffc400f700 (LWP 6730)):
#0  0x00007ffff40cc7b4 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff40cc8a8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff726ab8a in PBD::Semaphore::wait() (this=0x555558f76830) at ../libs/pbd/pbd/semutils.h:64
#3  0x00007ffff7724096 in ARDOUR::RTTaskList::run() (this=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7723e50 in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555558f76800) at ../libs/ardour/rt_tasklist.cc:67
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 31 (Thread 0x7fffc45ce700 (LWP 6724)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007fffd98fb93b in  () at /usr/lib/libjack.so.0
#2  0x00007fffd98e20c5 in  () at /usr/lib/libjack.so.0
#3  0x00007fffd98e0a6a in  () at /usr/lib/libjack.so.0
#4  0x00007fffd99fc8c8 in ARDOUR::JACKAudioBackend::process_thread() (this=0x555557617250) at ../libs/backends/jack/jack_audiobackend.cc:982
#5  0x00007fffd99fc868 in ARDOUR::JACKAudioBackend::_process_thread(void*) (arg=0x555557617250) at ../libs/backends/jack/jack_audiobackend.cc:961
#6  0x00007fffd98e09ce in  () at /usr/lib/libjack.so.0
#7  0x00007fffd98f9b1d in  () at /usr/lib/libjack.so.0
#8  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 30 (Thread 0x7fffd8199700 (LWP 6723)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a445d in  () at /usr/lib/libglib-2.0.so.0
#2  0x0000555555b69d6c in Glib::Threads::Mutex::Lock::Lock(Glib::Threads::Mutex&) (this=0x7fffd8198670, mutex=...) at /usr/include/glibmm-2.4/glibmm/threads.h:687
#3  0x00007ffff7760c0c in ARDOUR::Session::update_latency(bool) (this=0x555558aa8800, playback=true) at ../libs/ardour/session.cc:6577
#4  0x00007ffff70d226b in ARDOUR::AudioEngine::latency_callback(bool) (this=0x555557566df0, for_playback=true) at ../libs/ardour/audioengine.cc:1393
#5  0x00007fffd99fc987 in ARDOUR::JACKAudioBackend::jack_latency_callback(JackLatencyCallbackMode) (this=0x555557617250, mode=JackPlaybackLatency) at ../libs/backends/jack/jack_audiobackend.cc:1010
#6  0x00007fffd99fc3d2 in ARDOUR::JACKAudioBackend::_latency_callback(JackLatencyCallbackMode, void*) (mode=JackPlaybackLatency, arg=0x555557617250) at ../libs/backends/jack/jack_audiobackend.cc:856
#7  0x00007fffd98e003d in  () at /usr/lib/libjack.so.0
#8  0x00007fffd98e08bc in  () at /usr/lib/libjack.so.0
#9  0x00007fffd98ffd60 in  () at /usr/lib/libjack.so.0
#10 0x00007fffd98f9b1d in  () at /usr/lib/libjack.so.0
#11 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 29 (Thread 0x7fffd8802700 (LWP 6714)):
#0  0x00007ffff40c9cf5 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd98fa5f0 in  () at /usr/lib/libjack.so.0
#2  0x00007fffd98f1e16 in  () at /usr/lib/libjack.so.0
#3  0x00007fffd98f9b1d in  () at /usr/lib/libjack.so.0
#4  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7fffc4ff9700 (LWP 6700)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007fffd8599c14 in  () at /usr/lib/libpulse.so.0
#2  0x00007fffd85a7059 in pa_mainloop_poll () at /usr/lib/libpulse.so.0
#3  0x00007fffd85b1301 in pa_mainloop_iterate () at /usr/lib/libpulse.so.0
#4  0x00007fffd85b13b1 in pa_mainloop_run () at /usr/lib/libpulse.so.0
#5  0x00007fffd85a161e in  () at /usr/lib/libpulse.so.0
#6  0x00007fffd8525d1c in  () at /usr/lib/pulseaudio/libpulsecommon-13.0.so
#7  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7fffc7fff700 (LWP 6694)):
#0  0x00007ffff3701abf in poll () at /usr/lib/libc.so.6
#1  0x00007ffff54f54a0 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff54f5571 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff54f55c2 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fffda2a5700 (LWP 6688)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff70cf678 in ARDOUR::AudioEngine::do_devicelist_update() (this=0x555557566df0) at ../libs/ardour/audioengine.cc:678
#3  0x00007ffff70dd281 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x555557558200, p=0x555557566df0) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff70dcc07 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x555557558210, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff70dc35c in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x555557558200) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff70dbb8a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x555557558200) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff70dae31 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555575581d0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffdadd4700 (LWP 6687)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff70cf3f4 in ARDOUR::AudioEngine::do_reset_backend() (this=0x555557566df0) at ../libs/ardour/audioengine.cc:642
#3  0x00007ffff70dd281 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x5555575582c0, p=0x555557566df0) at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff70dcc07 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x5555575582d0, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff70dc35c in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x5555575582c0) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff70dbb8a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x5555575582c0) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff70dae31 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x555557558290) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#8  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffe909d700 (LWP 6661)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff707dd29 in ARDOUR::Analyser::work() () at ../libs/ardour/analyser.cc:93
#3  0x00007ffff707dac8 in analyser_work() () at ../libs/ardour/analyser.cc:58
#4  0x0000555556468231 in sigc::pointer_functor0<void>::operator()() const (this=0x555556fd3218) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000555556464d76 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555556fd3210) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x000055555646074c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555556fd31e0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#7  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffe989e700 (LWP 6660)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff78790cd in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3  0x0000555556468231 in sigc::pointer_functor0<void>::operator()() const (this=0x555556fd3158) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000555556464d76 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x555556fd3150) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x000055555646074c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555556fd3120) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#6  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#7  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#8  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffea09f700 (LWP 6659)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a4531 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff78790cd in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3  0x0000555556468231 in sigc::pointer_functor0<void>::operator()() const (this=0x55555703d798) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000555556464d76 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x55555703d790) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x000055555646074c in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555703d760) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#6  0x00007ffff565bd7a in  () at /usr/lib/libglibmm-2.4.so.1
#7  0x00007ffff54d15b1 in  () at /usr/lib/libglib-2.0.so.0
#8  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffea8a0700 (LWP 6658)):
#0  0x00007ffff36d42d1 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff36d9bf7 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff54bf691 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x0000555556803285 in gui_event_loop(void*) (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:463
#4  0x00007ffff40c346f in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff370c3d3 in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fffeb1dcbc0 (LWP 6652)):
#0  0x00007ffff3706f8d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff54a445d in  () at /usr/lib/libglib-2.0.so.0
#2  0x0000555555b69d6c in Glib::Threads::Mutex::Lock::Lock(Glib::Threads::Mutex&) (this=0x7fffffffae30, mutex=...) at /usr/include/glibmm-2.4/glibmm/threads.h:687
#3  0x00007ffff76e2834 in ARDOUR::Route::set_strict_io(bool) (this=0x5555648bf1e0, enable=true) at ../libs/ardour/route.cc:2429
#4  0x0000555555dcbab7 in Editor::finish_bringing_in_material(boost::shared_ptr<ARDOUR::Region>, unsigned int, unsigned int, long&, Editing::ImportMode, boost::shared_ptr<ARDOUR::Track>&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555558953030, region=..., in_chans=2, out_chans=2, pos=@0x555558954760: 0, mode=Editing::ImportAsTrack, existing_track=..., new_track_name="sample-003", instrument=...) at ../gtk2_ardour/editor_audio_import.cc:1027
#5  0x0000555555dcb157 in Editor::add_sources(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, std::vector<boost::shared_ptr<ARDOUR::Source>, std::allocator<boost::shared_ptr<ARDOUR::Source> > >&, long&, Editing::ImportDisposition, Editing::ImportMode, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555558953030, paths=std::vector of length 1, capacity 1 = {...}, sources=std::vector of length 2, capacity 2 = {...}, pos=@0x555558954760: 0, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, target_regions=1, target_tracks=-1, track=..., instrument=...) at ../gtk2_ardour/editor_audio_import.cc:947
#6  0x0000555555dc8c4d in Editor::import_sndfiles(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, long&, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555558953030, paths=std::vector of length 1, capacity 1 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, pos=@0x7fffffffb6b8: 0, target_regions=1, target_tracks=-1, track=..., replace=false, instrument=...) at ../gtk2_ardour/editor_audio_import.cc:594
#7  0x0000555555dc7c11 in Editor::do_import(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, ARDOUR::MidiTrackNameSource, ARDOUR::MidiTempoMapDisposition, long&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555558953030, paths=std::vector of length 2, capacity 2 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, midi_track_name_source=ARDOUR::SMFTrackNumber, smf_tempo_disposition=ARDOUR::SMFTempoIgnore, pos=@0x7fffffffb6b8: 0, instrument=...) at ../gtk2_ardour/editor_audio_import.cc:425
#8  0x0000555556667eaa in SoundFileOmega::do_something(int) (this=0x5555649a30f0, action=-5) at ../gtk2_ardour/sfdb_ui.cc:2085
#9  0x00005555566709f8 in sigc::bound_mem_functor1<void, SoundFileBrowser, int>::operator()(int const&) const (this=0x5555644a5020, _A_a1=@0x7fffffffb774: -5) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2066
#10 0x000055555666fdad in sigc::adaptor_functor<sigc::bound_mem_functor1<void, SoundFileBrowser, int> >::operator()<Gtk::ResponseType&>(Gtk::ResponseType&) const (this=0x5555644a5018, _A_arg1=@0x5555644a5040: Gtk::RESPONSE_OK) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#11 0x000055555666ef1c in sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()() (this=0x5555644a5010) at /usr/include/sigc++-2.0/sigc++/adaptors/bind.h:1124
#12 0x000055555666d796 in sigc::internal::slot_call0<sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555644a4fe0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:136
#13 0x00007ffff56582b9 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () at /usr/lib/libglibmm-2.4.so.1
#14 0x00007ffff55ee61a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#15 0x00007ffff55cf3a5 in  () at /usr/lib/libgobject-2.0.so.0
#16 0x00007ffff55d2ab9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#17 0x00007ffff55d46b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#18 0x00007ffff50b87fe in  () at /usr/lib/libgtk-x11-2.0.so.0
#19 0x00007ffff55ee61a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#20 0x00007ffff55cfad4 in  () at /usr/lib/libgobject-2.0.so.0
#21 0x00007ffff55d2ab9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#22 0x00007ffff55d46b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#23 0x00007ffff50b76ba in  () at /usr/lib/libgtk-x11-2.0.so.0
#24 0x00007ffff516203c in  () at /usr/lib/libgtk-x11-2.0.so.0
#25 0x00007ffff55ee61a in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#26 0x00007ffff55cf0e8 in  () at /usr/lib/libgobject-2.0.so.0
#27 0x00007ffff55d25cc in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#28 0x00007ffff55d46b0 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#29 0x00007ffff527e6f8 in  () at /usr/lib/libgtk-x11-2.0.so.0
#30 0x00007ffff516073e in gtk_propagate_event () at /usr/lib/libgtk-x11-2.0.so.0
#31 0x00007ffff5160b3b in gtk_main_do_event () at /usr/lib/libgtk-x11-2.0.so.0
#32 0x00007ffff4fd55be in  () at /usr/lib/libgdk-x11-2.0.so.0
#33 0x00007ffff54f36be in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#34 0x00007ffff54f5531 in  () at /usr/lib/libglib-2.0.so.0
#35 0x00007ffff54f6543 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#36 0x00007ffff515fb7e in gtk_main () at /usr/lib/libgtk-x11-2.0.so.0
#37 0x00007ffff5b26f7d in Gtkmm2ext::UI::run(Receiver&) (this=0x5555575a2270, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:290
#38 0x000055555617ad43 in main(int, char**) (argc=5, argv=0x7fffffffca98) at ../gtk2_ardour/main.cc:435
gdb-arch.txt (90,558 bytes)

johmue-eo

2020-04-26 10:04

developer   ~0023928

Another backtrace on ubuntu 18.04 with kxstudio

* jackdmp version 1.9.14
* ardour 3785cbbf03

gdb-ubuntu-kxstudio.txt (55,424 bytes)
Starting program: /home/joh/Devel/ardour/build/gtk2_ardour/ardour-6.0.pre1.126 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffdfa18700 (LWP 15406)]
[New Thread 0x7fffdf217700 (LWP 15407)]
[New Thread 0x7fffdea16700 (LWP 15408)]
[New Thread 0x7fffde215700 (LWP 15409)]
[New Thread 0x7fffcdcf9700 (LWP 15410)]
[Thread 0x7fffcdcf9700 (LWP 15410) exited]
[New Thread 0x7fffcdcf9700 (LWP 15411)]
[New Thread 0x7fffccc1b700 (LWP 15412)]
[New Thread 0x7fffc25a4700 (LWP 15413)]
[New Thread 0x7fffc12f1700 (LWP 15414)]
[New Thread 0x7fffc0af0700 (LWP 15415)]
[New Thread 0x7fffaffff700 (LWP 15416)]
[New Thread 0x7fffaf7fe700 (LWP 15417)]
[New Thread 0x7fffaeffd700 (LWP 15418)]
[Thread 0x7fffaf7fe700 (LWP 15417) exited]
[Thread 0x7fffaffff700 (LWP 15416) exited]
[Thread 0x7fffc25a4700 (LWP 15413) exited]
[Thread 0x7fffaeffd700 (LWP 15418) exited]
[New Thread 0x7fffaeffd700 (LWP 15438)]
[New Thread 0x7fffaffff700 (LWP 15439)]
[New Thread 0x7fffaf7fe700 (LWP 15440)]
[New Thread 0x7fffae79c700 (LWP 15441)]
[Thread 0x7fffaf7fe700 (LWP 15440) exited]
[Thread 0x7fffaffff700 (LWP 15439) exited]
[Thread 0x7fffaeffd700 (LWP 15438) exited]
[New Thread 0x7fffaffff700 (LWP 15447)]
[Thread 0x7fffae79c700 (LWP 15441) exited]
[New Thread 0x7fffadf9b700 (LWP 15450)]
[New Thread 0x7fffadd56700 (LWP 15451)]
[Thread 0x7fffadd56700 (LWP 15451) exited]
[Thread 0x7fffadf9b700 (LWP 15450) exited]
[New Thread 0x7fffadf9b700 (LWP 15454)]
[New Thread 0x7fffadd56700 (LWP 15455)]
[New Thread 0x7fffadcd5700 (LWP 15456)]
[New Thread 0x7fffae79c700 (LWP 15457)]
[New Thread 0x7fffaeffd700 (LWP 15458)]
[Thread 0x7fffaeffd700 (LWP 15458) exited]
[Thread 0x7fffae79c700 (LWP 15457) exited]
[New Thread 0x7fffae79c700 (LWP 15459)]
[New Thread 0x7fffcc00a700 (LWP 15460)]
[New Thread 0x7fffc000e700 (LWP 15461)]
[New Thread 0x7fffadf1a700 (LWP 15462)]
[New Thread 0x7fffacf2d700 (LWP 15463)]
[New Thread 0x7fffaceac700 (LWP 15464)]
[New Thread 0x7ffface2b700 (LWP 15465)]
[New Thread 0x7fffacd5e700 (LWP 15466)]
[New Thread 0x7fffaeffd700 (LWP 15467)]
[New Thread 0x7fffaf7fe700 (LWP 15468)]
[New Thread 0x7fff73fff700 (LWP 15469)]
[New Thread 0x7fff737fe700 (LWP 15470)]
[New Thread 0x7fff72ffd700 (LWP 15471)]
[New Thread 0x7fff727fc700 (LWP 15472)]
[New Thread 0x7fff71ffb700 (LWP 15473)]
[New Thread 0x7fff717fa700 (LWP 15474)]
[New Thread 0x7fff70ff9700 (LWP 15475)]
[New Thread 0x7fff4ffff700 (LWP 15476)]
[New Thread 0x7fff4f7fe700 (LWP 15477)]
[Thread 0x7fffae79c700 (LWP 15459) exited]
[New Thread 0x7fffae79c700 (LWP 15478)]
[New Thread 0x7fff4effd700 (LWP 15479)]
[New Thread 0x7fff4e7fc700 (LWP 15480)]
[New Thread 0x7fff4cc97700 (LWP 15483)]
[New Thread 0x7fff47fff700 (LWP 15484)]
[Thread 0x7fff4cc97700 (LWP 15483) exited]
[Thread 0x7fffaffff700 (LWP 15447) exited]
[New Thread 0x7fffaffff700 (LWP 15485)]
[New Thread 0x7fff4cc97700 (LWP 15486)]
[New Thread 0x7fff477fe700 (LWP 15487)]
[Thread 0x7fff477fe700 (LWP 15487) exited]
[Thread 0x7fff4cc97700 (LWP 15486) exited]
[Thread 0x7fffaffff700 (LWP 15485) exited]
[New Thread 0x7fffaffff700 (LWP 15490)]
[Thread 0x7fff47fff700 (LWP 15484) exited]
[New Thread 0x7fffac0dc700 (LWP 15491)]
[Thread 0x7fffac0dc700 (LWP 15491) exited]
[Thread 0x7fffaffff700 (LWP 15490) exited]

Thread 1 "gui" received signal SIGINT, Interrupt.
syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
38	../sysdeps/unix/sysv/linux/x86_64/syscall.S: Datei oder Verzeichnis nicht gefunden.

Thread 48 (Thread 0x7fff4e7fc700 (LWP 15480)):
#0  0x00007ffff0407c60 in __GI___nanosleep (requested_time=0x7fff4e7fb860, remaining=0x7fff4e7fb870) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  0x00007ffff34ad84f in g_usleep ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff69267ac in ARDOUR::AutomationWatch::thread() (this=0x55555d953620) at ../libs/ardour/automation_watch.cc:195
#3  0x00007ffff692c591 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const (this=0x5555571c6ba0, p=0x55555d953620)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff692c0f9 in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) (this=0x5555571c6bb0, f=..., a=...)
    at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff692b8aa in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() (this=0x5555571c6ba0)
    at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff692b7fa in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const (this=0x5555571c6ba0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff692b12f in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555571c6b70) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff03fd6db in start_thread (arg=0x7fff4e7fc700)
    at pthread_create.c:463
#11 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 47 (Thread 0x7fff4effd700 (LWP 15479)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34c9dac in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x0000555555b68d90 in Glib::Threads::Mutex::Lock::Lock(Glib::Threads::Mutex&) (this=0x7fff4effc420, mutex=...)
    at /usr/include/glibmm-2.4/glibmm/threads.h:687
#3  0x00007ffff6f62b03 in ARDOUR::Session::set_worst_io_latencies() (this=
    0x5555594d9d40) at ../libs/ardour/session.cc:6590
#4  0x00007ffff6f62002 in ARDOUR::Session::set_worst_io_latencies_x(ARDOUR::IOChange, void*) (this=0x5555594d9d40) at ../libs/ardour/session.cc:6462
#5  0x00007ffff6f90b33 in boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>::operator()(ARDOUR::Session*, ARDOUR::IOChange, void*) const (this=0x7fff400ffe08, p=0x5555594d9d40, a1=..., a2=0x5555594d9d40)
    at /usr/include/boost/bind/mem_fn_template.hpp:280
#6  0x00007ffff6f8d866 in boost::_bi::list3<boost::_bi::value<ARDOUR::Session*>, boost::arg<1>, boost::arg<2> >::operator()<boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>, boost::_bi::rrlist2<ARDOUR::IOChange, void*> >(boost::_bi::type<void>, boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>&, boost::_bi::rrlist2<ARDOUR::IOChange, void*>&, int) (this=0x7fff400ffe18, f=..., a=...) at /usr/include/boost/bind/bind.hpp:398
#7  0x00007ffff6f88a3f in boost::_bi::bind_t<void, boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>, boost::_bi::list3<boost::_bi::value<ARDOUR::Session*>, boost::arg<1>, boost::arg<2> > >::operator()<ARDOUR::IOChange, void*>(ARDOUR::IOChange&&, void*&&) (this=0x7fff400ffe08, a1=..., a2=@0x7fff4effc5d0: 0x5555594d9d40) at /usr/include/boost/bind/bind.hpp:1318
#8  0x00007ffff6f828c9 in boost::detail::function::void_function_obj_invoker2<boost::_bi::bind_t<void, boost::_mfi::mf2<void, ARDOUR::Session, ARDOUR::IOChange, void*>, boost::_bi::list3<boost::_bi::value<ARDOUR::Session*>, boost::arg<1>, boost::arg<2> > >, void, ARDOUR::IOChange, void*>::invoke(boost::detail::function::function_buffer&, ARDOUR::IOChange, void*) (function_obj_ptr=..., a0=..., a1=0x5555594d9d40) at /usr/include/boost/function/function_template.hpp:159
#9  0x000055555602de81 in boost::function2<void, ARDOUR::IOChange, void*>::operator()(ARDOUR::IOChange, void*) const (this=0x7fff400ffe00, a0=..., a1=0x5555594d9d40) at /usr/include/boost/function/function_template.hpp:759
#10 0x00007ffff6a9b5d9 in PBD::Signal2<void, ARDOUR::IOChange, void*, PBD::OptionalLastValue<void> >::operator()(ARDOUR::IOChange, void*) (this=0x55555dad28d8, a1=..., a2=0x5555594d9d40) at libs/pbd/pbd/signals_generated.h:1080
#11 0x00007ffff6a8f974 in ARDOUR::IO::connect(boost::shared_ptr<ARDOUR::Port>, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, void*) (this=
    0x55555dad26f0, our_port=..., other_port="Master/audio_in 1", src=0x5555594d9d40) at ../libs/ardour/io.cc:206
#12 0x00007ffff6f647a9 in ARDOUR::Session::auto_connect(ARDOUR::Session::AutoConnectRequest const&) (this=0x5555594d9d40, ar=...)
    at ../libs/ardour/session.cc:6894
#13 0x00007ffff6f64d96 in ARDOUR::Session::auto_connect_thread_run() (this=0x5555594d9d40) at ../libs/ardour/session.cc:6977
#14 0x00007ffff6f64bde in ARDOUR::Session::auto_connect_thread(void*) (arg=0x5555594d9d40) at ../libs/ardour/session.cc:6951
#15 0x00007ffff03fd6db in start_thread (arg=0x7fff4effd700)
    at pthread_create.c:463
#16 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 46 (Thread 0x7fffae79c700 (LWP 15478)):
#0  0x00007ffff04039f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5555594dbb20)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007ffff04039f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5555594dbad0, cond=0x5555594dbaf8) at pthread_cond_wait.c:502
#2  0x00007ffff04039f3 in __pthread_cond_wait (cond=0x5555594dbaf8, mutex=0x5555594dbad0) at pthread_cond_wait.c:655
#3  0x00007ffff6fe58f7 in ARDOUR::Session::emit_thread_run() (this=0x5555594d9d40) at ../libs/ardour/session_process.cc:1111
#4  0x00007ffff6fe5894 in ARDOUR::Session::emit_thread(void*) (arg=0x5555594d9d40) at ../libs/ardour/session_process.cc:1100
#5  0x00007ffff03fd6db in start_thread (arg=0x7fffae79c700)
    at pthread_create.c:463
#6  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 45 (Thread 0x7fff4f7fe700 (LWP 15477)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff4817c1e0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x555558f589d0)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555d526a68)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555d526a60)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555d526a30)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff4f7fe700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 44 (Thread 0x7fff4ffff700 (LWP 15476)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff4fffe9c0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffce91a6ff in  () at /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007ffff03fd6db in start_thread (arg=0x7fff4ffff700)
    at pthread_create.c:463
#3  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7fff70ff9700 (LWP 15475)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff54030f20, nfds=3, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x55555d4b4390)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555d4b5488)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555d4b5480)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555d4b5450)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff70ff9700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 42 (Thread 0x7fff717fa700 (LWP 15474)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff5017c4f0, nfds=2, timeout=65)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x55555d4532b0)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555d4b35c8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555d4b35c0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555d4b3590)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff717fa700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 41 (Thread 0x7fff71ffb700 (LWP 15473)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff5c159ca0, nfds=6, timeout=9)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x55555d2c6840)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555d2c8cc8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555d2c8cc0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555d2c8c90)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff71ffb700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 40 (Thread 0x7fff727fc700 (LWP 15472)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff5817bf30, nfds=3, timeout=9)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x55555d21a960)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555d21fbf8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555d21fbf0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555d21fbc0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff727fc700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 39 (Thread 0x7fff72ffd700 (LWP 15471)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff6417bfe0, nfds=2, timeout=99)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x555559f7b0e0)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x55555d2196f8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x55555d2196f0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555d2196c0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff72ffd700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 38 (Thread 0x7fff737fe700 (LWP 15470)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff60018d10, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x555559532c08)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x555559f79ee8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x555559f79ee0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555559f79eb0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff737fe700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 37 (Thread 0x7fff73fff700 (LWP 15469)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff68030ef0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x555558044298)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x555559531868)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x555559531860)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555559531830)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fff73fff700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 36 (Thread 0x7fffaf7fe700 (LWP 15468)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff6c018d10, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x5555583ad178)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x555558043118)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x555558043110)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555580430e0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fffaf7fe700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 35 (Thread 0x7fffaeffd700 (LWP 15467)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fff7817a720, nfds=4, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff41548b9 in BaseUI::main_thread() (this=0x555558c48bd0)
    at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4158f66 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const (this=0x5555583abf08)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#5  0x00007ffff4158bee in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const (this=0x5555583abf00)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff415856e in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555583abed0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fffaeffd700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 34 (Thread 0x7fffacd5e700 (LWP 15466)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x7fffacd5d740, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff416bab5 in CrossThreadChannel::poll_for_request() (this=0x555558f12ec8) at ../libs/pbd/crossthread.posix.cc:102
#2  0x00007ffff416bb31 in CrossThreadChannel::receive(char&, bool) (this=0x555558f12ec8, msg=@0x7fffacd5d7a7: 0 '\000', wait=true)
    at ../libs/pbd/crossthread.posix.cc:123
#3  0x00007ffff693dde3 in ARDOUR::Butler::thread_work() (this=0x555558f12e30)
    at ../libs/ardour/butler.cc:172
#4  0x00007ffff693db78 in ARDOUR::Butler::_thread_work(void*) (arg=0x555558f12e30) at ../libs/ardour/butler.cc:153
#5  0x00007ffff4191227 in fake_thread_start(void*) (arg=0x555559ba8ed0)
    at ../libs/pbd/pthread_utils.cc:107
#6  0x00007ffff03fd6db in start_thread (arg=0x7fffacd5e700)
    at pthread_create.c:463
#7  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 33 (Thread 0x7ffface2b700 (LWP 15465)):
#0  0x00007ffff04066d6 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x555559147d80)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  0x00007ffff04066d6 in do_futex_wait (sem=sem@entry=0x555559147d80, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff04067c8 in __new_sem_wait_slow (sem=0x555559147d80, abstime=0x0)
    at sem_waitcommon.c:181
#3  0x00007ffff6a67440 in PBD::Semaphore::wait() (this=0x555559147d80)
    at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6a64bcc in ARDOUR::Graph::run_one() (this=0x555559147cd0)
    at ../libs/ardour/graph.cc:426
#5  0x00007ffff6a6506d in ARDOUR::Graph::helper_thread() (this=0x555559147cd0)
    at ../libs/ardour/graph.cc:470
#6  0x00007ffff6a6bc93 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7ffface2a9b8, p=0x555559147cd0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007ffff6a6b3e9 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7ffface2a9c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007ffff6a6a812 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7ffface2a9b8) at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007ffff6a69f3c in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...)
    at /usr/include/boost/function/function_template.hpp:159
#10 0x0000555555b833c1 in boost::function0<void>::operator()() const (this=0x7ffface2a9b0) at /usr/include/boost/function/function_template.hpp:759
#11 0x00007fffcc1b968f in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ac2140) at ../libs/backends/jack/jack_audiobackend.cc:953
#12 0x00007ffff03fd6db in start_thread (arg=0x7ffface2b700)
    at pthread_create.c:463
#13 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7fffaceac700 (LWP 15464)):
#0  0x00007ffff04066d6 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x555559147d80)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  0x00007ffff04066d6 in do_futex_wait (sem=sem@entry=0x555559147d80, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff04067c8 in __new_sem_wait_slow (sem=0x555559147d80, abstime=0x0)
    at sem_waitcommon.c:181
#3  0x00007ffff6a67440 in PBD::Semaphore::wait() (this=0x555559147d80)
    at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6a64bcc in ARDOUR::Graph::run_one() (this=0x555559147cd0)
    at ../libs/ardour/graph.cc:426
#5  0x00007ffff6a6506d in ARDOUR::Graph::helper_thread() (this=0x555559147cd0)
    at ../libs/ardour/graph.cc:470
#6  0x00007ffff6a6bc93 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffaceab9b8, p=0x555559147cd0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007ffff6a6b3e9 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffaceab9c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#8  0x00007ffff6a6a812 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffaceab9b8) at /usr/include/boost/bind/bind.hpp:1294
#9  0x00007ffff6a69f3c in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...)
    at /usr/include/boost/function/function_template.hpp:159
#10 0x0000555555b833c1 in boost::function0<void>::operator()() const (this=0x7fffaceab9b0) at /usr/include/boost/function/function_template.hpp:759
#11 0x00007fffcc1b968f in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x5555597f1020) at ../libs/backends/jack/jack_audiobackend.cc:953
#12 0x00007ffff03fd6db in start_thread (arg=0x7fffaceac700)
    at pthread_create.c:463
#13 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7fffacf2d700 (LWP 15463)):
#0  0x00007ffff04066d6 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x555559147da8)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  0x00007ffff04066d6 in do_futex_wait (sem=sem@entry=0x555559147da8, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff04067c8 in __new_sem_wait_slow (sem=0x555559147da8, abstime=0x0)
    at sem_waitcommon.c:181
#3  0x00007ffff6a67440 in PBD::Semaphore::wait() (this=0x555559147da8)
    at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6a63f78 in ARDOUR::Graph::reached_terminal_node() (this=0x555559147cd0) at ../libs/ardour/graph.cc:301
#5  0x00007ffff6a6c3b8 in ARDOUR::GraphNode::finish(int) (this=0x555559772928, chain=1) at ../libs/ardour/graphnode.cc:73
#6  0x00007ffff6a674aa in ARDOUR::GraphNode::run(int) (this=0x555559772928, chain=1) at ../libs/ardour/ardour/graphnode.h:63
#7  0x00007ffff6a64d06 in ARDOUR::Graph::run_one() (this=0x555559147cd0)
    at ../libs/ardour/graph.cc:442
#8  0x00007ffff6a65489 in ARDOUR::Graph::main_thread() (this=0x555559147cd0)
    at ../libs/ardour/graph.cc:523
#9  0x00007ffff6a6bc93 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const (this=0x7fffacf2c9b8, p=0x555559147cd0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#10 0x00007ffff6a6b3e9 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) (this=0x7fffacf2c9c8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#11 0x00007ffff6a6a812 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() (this=0x7fffacf2c9b8) at /usr/include/boost/bind/bind.hpp:1294
#12 0x00007ffff6a69f3c in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...)
    at /usr/include/boost/function/function_template.hpp:159
#13 0x0000555555b833c1 in boost::function0<void>::operator()() const (this=0x7fffacf2c9b0) at /usr/include/boost/function/function_template.hpp:759
#14 0x00007fffcc1b968f in ARDOUR::JACKAudioBackend::_start_process_thread(void*) (arg=0x555558ba8430) at ../libs/backends/jack/jack_audiobackend.cc:953
#15 0x00007ffff03fd6db in start_thread (arg=0x7fffacf2d700)
    at pthread_create.c:463
#16 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7fffadf1a700 (LWP 15462)):
#0  0x00007ffff04066d6 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5555580e24e0)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  0x00007ffff04066d6 in do_futex_wait (sem=sem@entry=0x5555580e24e0, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff04067c8 in __new_sem_wait_slow (sem=0x5555580e24e0, abstime=0x0)
    at sem_waitcommon.c:181
#3  0x00007ffff6a67440 in PBD::Semaphore::wait() (this=0x5555580e24e0)
    at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6f25dbc in ARDOUR::RTTaskList::run() (this=0x5555580e24b0)
    at ../libs/ardour/rt_tasklist.cc:112
#5  0x00007ffff6f25b7a in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x5555580e24b0) at ../libs/ardour/rt_tasklist.cc:67
#6  0x00007ffff03fd6db in start_thread (arg=0x7fffadf1a700)
    at pthread_create.c:463
#7  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7fffc000e700 (LWP 15461)):
#0  0x00007ffff04066d6 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5555580e24e0)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  0x00007ffff04066d6 in do_futex_wait (sem=sem@entry=0x5555580e24e0, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff04067c8 in __new_sem_wait_slow (sem=0x5555580e24e0, abstime=0x0)
    at sem_waitcommon.c:181
#3  0x00007ffff6a67440 in PBD::Semaphore::wait() (this=0x5555580e24e0)
    at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6f25dbc in ARDOUR::RTTaskList::run() (this=0x5555580e24b0)
    at ../libs/ardour/rt_tasklist.cc:112
#5  0x00007ffff6f25b7a in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x5555580e24b0) at ../libs/ardour/rt_tasklist.cc:67
#6  0x00007ffff03fd6db in start_thread (arg=0x7fffc000e700)
    at pthread_create.c:463
#7  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7fffcc00a700 (LWP 15460)):
#0  0x00007ffff04066d6 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x5555580e24e0)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  0x00007ffff04066d6 in do_futex_wait (sem=sem@entry=0x5555580e24e0, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007ffff04067c8 in __new_sem_wait_slow (sem=0x5555580e24e0, abstime=0x0)
    at sem_waitcommon.c:181
#3  0x00007ffff6a67440 in PBD::Semaphore::wait() (this=0x5555580e24e0)
    at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6f25dbc in ARDOUR::RTTaskList::run() (this=0x5555580e24b0)
    at ../libs/ardour/rt_tasklist.cc:112
#5  0x00007ffff6f25b7a in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x5555580e24b0) at ../libs/ardour/rt_tasklist.cc:67
#6  0x00007ffff03fd6db in start_thread (arg=0x7fffcc00a700)
    at pthread_create.c:463
#7  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7fffadcd5700 (LWP 15456)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fffc3bd5d67 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007fffc3bc03e5 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#3  0x00007fffc3bbecd9 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007fffcc1b9766 in ARDOUR::JACKAudioBackend::process_thread() (this=0x5555574a9130) at ../libs/backends/jack/jack_audiobackend.cc:982
#5  0x00007fffcc1b96f2 in ARDOUR::JACKAudioBackend::_process_thread(void*) (arg=0x5555574a9130) at ../libs/backends/jack/jack_audiobackend.cc:961
#6  0x00007fffc3bbec3a in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#7  0x00007fffc3bd3ed6 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#8  0x00007ffff03fd6db in start_thread (arg=0x7fffadcd5700)
    at pthread_create.c:463
#9  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7fffadd56700 (LWP 15455)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34c9dac in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x0000555555b68d90 in Glib::Threads::Mutex::Lock::Lock(Glib::Threads::Mutex&) (this=0x7fffadd555e0, mutex=...)
    at /usr/include/glibmm-2.4/glibmm/threads.h:687
#3  0x00007ffff6f6282e in ARDOUR::Session::update_latency(bool) (this=0x5555594d9d40, playback=true) at ../libs/ardour/session.cc:6572
#4  0x00007ffff68cb381 in ARDOUR::AudioEngine::latency_callback(bool) (this=0x55555721f890, for_playback=true) at ../libs/ardour/audioengine.cc:1393
#5  0x00007fffcc1b9839 in ARDOUR::JACKAudioBackend::jack_latency_callback(JackLatencyCallbackMode) (this=0x5555574a9130, mode=JackPlaybackLatency)
    at ../libs/backends/jack/jack_audiobackend.cc:1010
#6  0x00007fffcc1b9234 in ARDOUR::JACKAudioBackend::_latency_callback(JackLatencyCallbackMode, void*) (mode=JackPlaybackLatency, arg=0x5555574a9130)
    at ../libs/backends/jack/jack_audiobackend.cc:856
#7  0x00007fffc3bbe242 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#8  0x00007fffc3bbe78f in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#9  0x00007fffc3bda207 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#10 0x00007fffc3bd3ed6 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#11 0x00007ffff03fd6db in start_thread (arg=0x7fffadd56700)
    at pthread_create.c:463
#12 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7fffadf9b700 (LWP 15454)):
#0  0x00007ffff04039f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x555557599418)
    at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007ffff04039f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5555575993c0, cond=0x5555575993f0) at pthread_cond_wait.c:502
#2  0x00007ffff04039f3 in __pthread_cond_wait (cond=0x5555575993f0, mutex=0x5555575993c0) at pthread_cond_wait.c:655
#3  0x00007fffc3bd48ec in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007fffc3bcef05 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#5  0x00007fffc3bd3ed6 in  () at /usr/lib/x86_64-linux-gnu/libjack.so.0
#6  0x00007ffff03fd6db in start_thread (arg=0x7fffadf9b700)
    at pthread_create.c:463
#7  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fffc0af0700 (LWP 15415)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x5555574218c0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fffebf19276 in  () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffff03fd6db in start_thread (arg=0x7fffc0af0700)
    at pthread_create.c:463
#6  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fffc12f1700 (LWP 15414)):
#0  0x00007fffeec6abf9 in __GI___poll (fds=0x5555574171a0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff34845c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff34846dc in g_main_context_iteration ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3484721 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffff03fd6db in start_thread (arg=0x7fffc12f1700)
    at pthread_create.c:463
#6  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fffccc1b700 (LWP 15412)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34ca75f in g_cond_wait ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff68c87ce in ARDOUR::AudioEngine::do_devicelist_update() (this=0x55555721f890) at ../libs/ardour/audioengine.cc:678
#3  0x00007ffff68d62f3 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x555557205600, p=0x55555721f890)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff68d5cff in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x555557205610, f=..., a=...)
    at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff68d54f2 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x555557205600) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff68d4cce in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x555557205600)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff68d3f1d in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555572055d0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff03fd6db in start_thread (arg=0x7fffccc1b700)
    at pthread_create.c:463
#11 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fffcdcf9700 (LWP 15411)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34ca75f in g_cond_wait ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff68c8550 in ARDOUR::AudioEngine::do_reset_backend() (this=0x55555721f890) at ../libs/ardour/audioengine.cc:642
#3  0x00007ffff68d62f3 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const (this=0x5555571deae0, p=0x55555721f890)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff68d5cff in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) (this=0x5555571deaf0, f=..., a=...)
    at /usr/include/boost/bind/bind.hpp:259
#5  0x00007ffff68d54f2 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() (this=0x5555571deae0) at /usr/include/boost/bind/bind.hpp:1294
#6  0x00007ffff68d4cce in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const (this=0x5555571deae0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff68d3f1d in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555571deab0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#8  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff03fd6db in start_thread (arg=0x7fffcdcf9700)
    at pthread_create.c:463
#11 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fffde215700 (LWP 15409)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34ca75f in g_cond_wait ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff6877ca1 in ARDOUR::Analyser::work() ()
    at ../libs/ardour/analyser.cc:93
#3  0x00007ffff6877a38 in analyser_work() () at ../libs/ardour/analyser.cc:58
#4  0x000055555646ef05 in sigc::pointer_functor0<void>::operator()() const (this=0x5555571fcb88) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x000055555646bad2 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x5555571fcb80)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x0000555556467346 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555571fcb50)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#7  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff03fd6db in start_thread (arg=0x7fffde215700)
    at pthread_create.c:463
#10 0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fffdea16700 (LWP 15408)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34ca75f in g_cond_wait ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff707e33f in peak_thread_work() ()
    at ../libs/ardour/source_factory.cc:74
#3  0x000055555646ef05 in sigc::pointer_functor0<void>::operator()() const (this=0x5555571fcc18) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x000055555646bad2 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x5555571fcc10)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x0000555556467346 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555571fcbe0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#6  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ffff03fd6db in start_thread (arg=0x7fffdea16700)
    at pthread_create.c:463
#9  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fffdf217700 (LWP 15407)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34ca75f in g_cond_wait ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff707e33f in peak_thread_work() ()
    at ../libs/ardour/source_factory.cc:74
#3  0x000055555646ef05 in sigc::pointer_functor0<void>::operator()() const (this=0x5555571fcc68) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x000055555646bad2 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const (this=0x5555571fcc60)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x0000555556467346 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) (rep=0x5555571fcc30)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#6  0x00007ffff39f069d in  () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007ffff34ac175 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ffff03fd6db in start_thread (arg=0x7fffdf217700)
    at pthread_create.c:463
#9  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fffdfa18700 (LWP 15406)):
#0  0x00007ffff0407c60 in __GI___nanosleep (requested_time=0x7fffdfa17890, remaining=0x7fffdfa178a0) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  0x00007ffff34ad84f in g_usleep ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x0000555556808915 in gui_event_loop(void*) (ptr=0x0)
    at ../gtk2_ardour/linux_vst_gui_support.cc:463
#3  0x00007ffff03fd6db in start_thread (arg=0x7fffdfa18700)
    at pthread_create.c:463
#4  0x00007fffeec7788f in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ffff7f05440 (LWP 15397)):
#0  0x00007fffeec71839 in syscall ()
    at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff34c9dac in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x0000555555b68d90 in Glib::Threads::Mutex::Lock::Lock(Glib::Threads::Mutex&) (this=0x7fffffffaf10, mutex=...)
    at /usr/include/glibmm-2.4/glibmm/threads.h:687
#3  0x00007ffff6ee3c14 in ARDOUR::Route::set_strict_io(bool) (this=
    0x55555de69a10, enable=true) at ../libs/ardour/route.cc:2429
#4  0x0000555555dcc47a in Editor::finish_bringing_in_material(boost::shared_ptr<ARDOUR::Region>, unsigned int, unsigned int, long&, Editing::ImportMode, boost::shared_ptr<ARDOUR::Track>&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=
    0x555559c19120, region=..., in_chans=1, out_chans=2, pos=@0x555559c1a850: 0, mode=Editing::ImportAsTrack, existing_track=..., new_track_name="sample-009", instrument=...) at ../gtk2_ardour/editor_audio_import.cc:1027
#5  0x0000555555dcbaf3 in Editor::add_sources(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, std::vector<boost::shared_ptr<ARDOUR::Source>, std::allocator<boost::shared_ptr<ARDOUR::Source> > >&, long&, Editing::ImportDisposition, Editing::ImportMode, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555559c19120, paths=std::vector of length 1, capacity 1 = {...}, sources=std::vector of length 1, capacity 1 = {...}, pos=@0x555559c1a850: 0, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, target_regions=1, target_tracks=-1, track=..., instrument=...)
    at ../gtk2_ardour/editor_audio_import.cc:947
#6  0x0000555555dc956d in Editor::import_sndfiles(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, long&, int, int, boost::shared_ptr<ARDOUR::Track>&, bool, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555559c19120, paths=std::vector of length 1, capacity 1 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, pos=@0x7fffffffb7a8: 0, target_regions=1, target_tracks=-1, track=..., replace=false, instrument=...)
    at ../gtk2_ardour/editor_audio_import.cc:594
#7  0x0000555555dc8538 in Editor::do_import(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >, Editing::ImportDisposition, Editing::ImportMode, ARDOUR::SrcQuality, ARDOUR::MidiTrackNameSource, ARDOUR::MidiTempoMapDisposition, long&, boost::shared_ptr<ARDOUR::PluginInfo>) (this=0x555559c19120, paths=std::vector of length 8, capacity 8 = {...}, disposition=Editing::ImportDistinctFiles, mode=Editing::ImportAsTrack, quality=ARDOUR::SrcBest, midi_track_name_source=ARDOUR::SMFTrackNumber, smf_tempo_disposition=ARDOUR::SMFTempoIgnore, pos=@0x7fffffffb7a8: 0, instrument=...)
    at ../gtk2_ardour/editor_audio_import.cc:425
#8  0x000055555666bf55 in SoundFileOmega::do_something(int) (this=
    0x55555dd09580, action=-5) at ../gtk2_ardour/sfdb_ui.cc:2085
#9  0x00005555566748ca in sigc::bound_mem_functor1<void, SoundFileBrowser, int>::operator()(int const&) const (this=0x55555dcc6e40, _A_a1=@0x7fffffffb864: -5)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2066
#10 0x0000555556673d39 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, SoundFileBrowser, int> >::operator()<Gtk::ResponseType&>(Gtk::ResponseType&) const (this=0x55555dcc6e38, _A_arg1=@0x55555dcc6e60: Gtk::RESPONSE_OK)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#11 0x0000555556672e90 in sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()() (this=0x55555dcc6e30)
    at /usr/include/sigc++-2.0/sigc++/adaptors/bind.h:1124
#12 0x00005555566716c0 in sigc::internal::slot_call0<sigc::bind_functor<-1, sigc::bound_mem_functor1<void, SoundFileBrowser, int>, Gtk::ResponseType, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void>::call_it(sigc::internal::slot_rep*) (rep=0x55555dcc6e00)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#13 0x00007ffff39ff548 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#14 0x00007ffff375f10d in g_closure_invoke ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#15 0x00007ffff3771bf1 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#16 0x00007ffff377a715 in g_signal_emit_valist ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#17 0x00007ffff377b12f in g_signal_emit ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#18 0x00007ffff2c7d6f5 in  () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#19 0x00007ffff375f10d in g_closure_invoke ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#20 0x00007ffff377212e in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#21 0x00007ffff377a715 in g_signal_emit_valist ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#22 0x00007ffff377b12f in g_signal_emit ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#23 0x00007ffff2c7c679 in  () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#24 0x00007ffff2d2238b in  () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#25 0x00007ffff375f10d in g_closure_invoke ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#26 0x00007ffff3771de8 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#27 0x00007ffff377a0af in g_signal_emit_valist ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#28 0x00007ffff377b12f in g_signal_emit ()
    at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#29 0x00007ffff2e382bc in  () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#30 0x00007ffff2d2062c in gtk_propagate_event ()
    at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#31 0x00007ffff2d20a2b in gtk_main_do_event ()
    at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#32 0x00007ffff299602c in  () at /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#33 0x00007ffff3484417 in g_main_context_dispatch ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007ffff3484650 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007ffff3484962 in g_main_loop_run ()
    at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007ffff2d1fa37 in gtk_main ()
    at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#37 0x00007ffff453cae1 in Gtkmm2ext::UI::run(Receiver&) (this=0x5555575dc9c0, 
    old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:290
#38 0x000055555617d95a in main(int, char**) (argc=1, argv=0x7fffffffcba8)
    at ../gtk2_ardour/main.cc:435
Quit
gdb-ubuntu-kxstudio.txt (55,424 bytes)

johmue-eo

2020-04-27 16:00

developer   ~0023960

Last edited: 2020-04-27 17:49

View 2 revisions

With 24d3bf25a9 I can no longer trigger the issue :thumb up:

x42

2020-04-27 19:06

administrator   ~0023964

Fixed in 6.0-rc1-120-g24d3bf25a9

johmue-eo

2020-04-27 20:04

developer   ~0023974

Fix confirmed.

Issue History

Date Modified Username Field Change
2020-04-05 19:51 johmue-eo New Issue
2020-04-05 20:42 johmue-eo Summary Occasional random crashes => Occasional random crashes probably when setting up connections
2020-04-05 20:42 johmue-eo Steps to Reproduce Updated View Revisions
2020-04-06 04:31 x42 Note Added: 0021201
2020-04-06 04:33 x42 Note Added: 0021202
2020-04-06 17:09 johmue-eo Note Added: 0021210
2020-04-12 21:03 paul Note Added: 0021319
2020-04-12 21:11 x42 Note Added: 0021320
2020-04-12 21:29 johmue-eo File Added: gdb.txt
2020-04-12 21:29 johmue-eo Note Added: 0021321
2020-04-12 21:42 x42 Note Added: 0021322
2020-04-25 13:52 x42 Relationship added has duplicate 0008055
2020-04-25 16:29 x42 Assigned To => x42
2020-04-25 16:29 x42 Status new => feedback
2020-04-25 16:29 x42 Note Added: 0023915
2020-04-25 19:52 johmue-eo Note Added: 0023917
2020-04-25 19:52 johmue-eo Status feedback => assigned
2020-04-25 20:21 johmue-eo Note Added: 0023920
2020-04-25 23:28 x42 Note Added: 0023923
2020-04-26 00:05 x42 Note Added: 0023924
2020-04-26 09:56 johmue-eo File Added: gdb-arch.txt
2020-04-26 09:56 johmue-eo Note Added: 0023926
2020-04-26 10:04 johmue-eo File Added: gdb-ubuntu-kxstudio.txt
2020-04-26 10:04 johmue-eo Note Added: 0023928
2020-04-26 12:21 johmue-eo Relationship added related to 0008058
2020-04-27 16:00 johmue-eo Note Added: 0023960
2020-04-27 17:49 johmue-eo Note Edited: 0023960 View Revisions
2020-04-27 19:06 x42 Status assigned => resolved
2020-04-27 19:06 x42 Resolution open => fixed
2020-04-27 19:06 x42 Note Added: 0023964
2020-04-27 20:04 johmue-eo Status resolved => closed
2020-04-27 20:04 johmue-eo Note Added: 0023974